<?


// Assuming you have a database connection
$hostname = $_AVOS['config']['mysql']['hostname'];
$username = $_AVOS['config']['mysql']['username'];
$password = $_AVOS['config']['mysql']['password'];
$dbname   = $_AVOS['config']['mysql']['database'];

// Create connection
$conn = new mysqli($hostname, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}




// Process form submission
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Make sure $_POST contains data for all fields
    if (isset($_POST['siteNames'], $_POST['siteType'], $_POST['SiteImage'], $_POST['SiteLink'], $_POST['SiteOnwer'], $_POST['sitesDescription'], $_POST['pros'], $_POST['cons'], $_POST['tags'], $_POST['keywords'], $_POST['title'], $_POST['description'], $_POST['mediaSocialLinks'], $_POST['nextUpdate'], $_POST['postHighlights'])) {

        $siteNames = $_POST['siteNames'];
        $siteType = $_POST['siteType'];
        $SiteImage = $_POST['SiteImage'];
        $SiteLink = $_POST['SiteLink'];
        $SiteOnwer = $_POST['SiteOnwer'];
        $sitesDescription = $_POST['sitesDescription'];
        $pros = explode(',', $_POST['pros']);
        $cons = explode(',', $_POST['cons']);
        $tags = explode(',', $_POST['tags']);
        $keywords = explode(',', $_POST['keywords']);
        $title = $_POST['title'];
        $description = $_POST['description'];

        // New fields
        $mediaSocialLinks = $_POST['mediaSocialLinks']; // Array of selected platforms
        $nextUpdate = $_POST['nextUpdate']; // New field for next update date
        $postHighlights = $_POST['postHighlights']; // New field for post quote highlights

        // Set publishedOn to the current datetime
        $publishedOn = date('Y-m-d H:i:s');

        // Convert arrays to strings
        $pros_str = implode(',', $pros);
        $cons_str = implode(',', $cons);
        $tags_str = implode(',', $tags);
        $keywords_str = implode(',', $keywords);

        // Convert the mediaSocialLinks array to a string for insert into promote table
        $mediaSocialLinks_str = implode(',', $mediaSocialLinks);

        // SQL query for the 'promote' table
        $sql = "INSERT INTO promote (siteNames, siteType, SiteImage, SiteLink, SiteOnwer, sitesDescription, publishedOn, pros, cons, tags, keywords, title, description, mediaSocialLinks, nextUpdate, postHighlights) 
                VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";

        // Create a prepared statement for 'promote' table
        $stmt = $conn->prepare($sql);
        if ($stmt === false) {
            die("Error preparing statement: " . $conn->error);
        }

        $stmt->bind_param("ssssssssssssssss", $siteNames, $siteType, $SiteImage, $SiteLink, $SiteOnwer, $sitesDescription, $publishedOn, $pros_str, $cons_str, $tags_str, $keywords_str, $title, $description, $mediaSocialLinks_str, $nextUpdate, $postHighlights);

        // Execute the prepared statement for the 'promote' table
        if ($stmt->execute()) {
            // Get the ID of the newly inserted record (for linking with social media)
            $model_id = $stmt->insert_id;

            // Now insert the social media data into 'model_social_links'
            if (!empty($mediaSocialLinks)) {
                foreach ($mediaSocialLinks as $platform) {
                    if (isset($_POST['modelLinks'][$platform])) {
                        $social_id = $_POST['modelLinks'][$platform];
                        
                        // Prepare the SQL statement for inserting into model_social_links
                        $socialSql = "INSERT INTO model_social_links (model_id, platform, social_id) VALUES (?, ?, ?)";
                        $socialStmt = $conn->prepare($socialSql);
                        if ($socialStmt === false) {
                            die("Error preparing social statement: " . $conn->error);
                        }

                        $socialStmt->bind_param("iss", $model_id, $platform, $social_id); // 'i' for integer, 's' for string

                        // Execute the statement to insert the platform data
                        $socialStmt->execute();
                        $socialStmt->close();
                    }
                }
            }

            // Redirect after successful insertion
            header("Location: ?page=sites-list");
            exit();
        } else {
            echo "Error: " . $stmt->error;
        }

        // Close the prepared statement for the 'promote' table
        $stmt->close();
    } else {
        // Debugging: Check what data is coming in $_POST
echo "<pre>";
print_r($_POST);
echo "</pre>";
//exit;
        echo "Missing required POST fields.";
    }
}

// Close the database connection
$conn->close();
?>



<style>
    button.btn.btn-default {

    position: relative;
    margin-top: 100px;
    margin-bottom: 100px;
}
</style>


<div class="row">
						<h3 class="title1">Submit for Promotion</h3>
						<div class="form-three widget-shadow">
							<form class="form-horizontal" action="" method="post">
								
                            <div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Website | Model | Event </label>
									<div class="col-sm-6">
										<input type="text" class="form-control1" id="siteNames" name="siteNames" placeholder="Name">
									</div>
									<div class="col-sm-4"> 
										<p class="help-block">Add the model Nickname or the Network that you promote</p>
									</div>
								</div>

                                <div class="form-group">
									<label for="selector1" class="col-sm-2 control-label">Choose Content Type</label>
									<div class="col-sm-6">
                                        <select id="siteType" name="siteType" class="form-control1">
                                     
                                        <option disabled selected>Select Category</option>
<option>Featured Performers</option>
<option>Affiliate Websites</option>
<option>Non-Nude Content</option>
<option>Exclusive Events</option>
<option>Adult Entertainment</option>
<option>Trending Videos</option>
<option>Top Cam Sites</option>
<option>Premium Articles</option>
<option>Interactive Shows</option>
<option>Recorded Streams</option>
<option>Porn Networks</option>
									</select>
                                </div>
                                <div class="col-sm-4"> 
										<p class="help-block" >** Entertaining, engaging, and suitable for everyone.<b style="color:red"> (beta)</b></p>
									</div>
								</div>


                                <div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Image|Video - Main Content


                                    
                                    </label>
									<div class="col-sm-6">
                                    <small><b> Image format to use</b>'jpg', 'jpeg', 'png', 'gif', 'webp'</small>
    - 
    <small><b> Videoe format to use</b>'webm', 'mp4'</small>
    <input type="text" class="form-control1" id="SiteImage" name="SiteImage" placeholder="path/to/image" value="/share/promote/models">

    <center  style="color:red; display: inline-flex;"> 
    <small  style="border:1px solid black"><b> Path for Sites will be  </b><code>/share/promote/site</code></small>  - 
    <small style="border:1px solid black"><b> Path for Events will be </b><code>/share/promote/event</code></small> - 
    <small style="border:1px solid black"><b> Path for Models will be </b><code>/share/promote/models</code></small> -    
    <small style="border:1px solid black"><b> Path for Video will be </b><code>/share/promote/models_clip/</code></small>
</center><br>
   
                                    </div>

									<div class="col-sm-4">
    <p class="help-block" style="color:red">For now, please add the file name (e.g., naked_model.jpg), and we will upload it to the share directory later.</p>
    <small>Note: The image will appear as broken until it's uploaded to /share/promote/.</small>

</div>

								</div>
                                <div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Referred Affiliate Link</label>
									
                  

                                   

                                    <div class="col-sm-6">
    <!-- Paragraph to display the full link -->
    <p id="fullLinkDisplay"></p>

    <!-- Dropdown to select predefined links or type a custom one -->
   <!-- Dropdown to select predefined links or type a custom one -->
<select class="form-control1" id="SiteLink" name="SiteLink">
    <option value="" disabled selected>Select an Affiliate Program</option>
    <option value="https://chaturbate.com/in/?tour=LQps&campaign=<?= $_AVOS['config']['webcams']['Chaturbate']['affiliate'] ?>&track=promoteModel&room=">Chaturbate Partnership Link</option>
    <option value="https://go.xlirdr.com?sourceId=promoteModel&userId=<?= $_AVOS['config']['webcams']['StripChat']['affiliate'] ?>&action=signUpModalDirectLinkInteractiveClose&onlineModels=">Stripchat Partner Program Link</option>
</select>
<input type="hidden" id="hiddenSiteLink" name="SiteLink" value="">

</div>
<div class="col-sm-4">
            <p class="help-block">Choose your affiliate URL link</p>
	</div>
</div>

<!-- Optional hidden input for a custom link -->
<div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Custom Affiliate Link</label>
									<div class="col-sm-6">
<input type="text" id="customLinkInput" name="customLink" class="form-control1" placeholder="Enter your custom link here">

</div><div class="col-sm-2">
                    <p class="help-block" style="color:orange"> -Let empty if dont use Custom</p>
                </div>
								</div>
<!-- JavaScript to handle the switching of name attributes -->
<!-- JavaScript to handle the switching of name attributes and displaying the link -->
<script>
// Get references to the relevant elements
const selectElement = document.getElementById('SiteLink');
const siteNamesInput = document.getElementById('siteNames');
const customLinkInput = document.getElementById('customLinkInput');
const fullLinkDisplay = document.getElementById('fullLinkDisplay');
const form = document.querySelector('form'); // Assuming there's only one form on the page

// Function to update the displayed link
function updateLinkDisplay() {
    let selectedValue = selectElement.value;
    let siteName = siteNamesInput.value.trim();

    if (selectedValue !== '') {
        if (selectedValue.includes('room=')) {
            // Add the site name to the 'room=' parameter
            selectedValue = selectedValue.replace(/(room=)(.*)/, `$1${encodeURIComponent(siteName)}`);
        } else if (selectedValue.includes('onlineModels=')) {
            // Add the site name to the 'onlineModels=' parameter
            selectedValue = selectedValue.replace(/(onlineModels=)(.*)/, `$1${encodeURIComponent(siteName)}`);
        }
        // Display the full link
        fullLinkDisplay.textContent = "Selected Link: " + selectedValue;

        // Update a hidden form field (assuming it's named 'SiteLink' or another relevant name)
        const hiddenSiteLinkInput = document.getElementById('hiddenSiteLink');
        if (hiddenSiteLinkInput) {
            hiddenSiteLinkInput.value = selectedValue;
        }
    } else if (customLinkInput.value !== '') {
        // Display the custom link
        fullLinkDisplay.textContent = "Custom Link: " + customLinkInput.value;

        // Update the hidden form field with the custom link
        const hiddenSiteLinkInput = document.getElementById('hiddenSiteLink');
        if (hiddenSiteLinkInput) {
            hiddenSiteLinkInput.value = customLinkInput.value;
        }
    } else {
        // Clear the paragraph and the hidden form field if nothing is selected or entered
        fullLinkDisplay.textContent = "";
        const hiddenSiteLinkInput = document.getElementById('hiddenSiteLink');
        if (hiddenSiteLinkInput) {
            hiddenSiteLinkInput.value = '';
        }
    }
}

// Event listener for the select dropdown change
selectElement.addEventListener('change', function() {
    if (selectElement.value === '') {
        customLinkInput.style.display = 'block';
        customLinkInput.name = 'customLink';
    } else {
        customLinkInput.style.display = 'none';
        customLinkInput.name = '';
    }
    updateLinkDisplay();
});

// Event listener for the custom link input
customLinkInput.addEventListener('input', function() {
    selectElement.style.display = 'none';
    customLinkInput.name = 'SiteLink';
    updateLinkDisplay();
});

// Event listener for the site name input to update the link display
siteNamesInput.addEventListener('input', function() {
    updateLinkDisplay();
});

// Initial call to update the link display when the page loads
updateLinkDisplay();

    
</script>







                                <div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Main Site | Model Site</label>
									<div class="col-sm-6">
										<input type="text" class="form-control1" id="SiteOnwer" name="SiteOnwer"  placeholder="e.g., Enter affiliate platform name">
									</div>
                                    <div class="col-sm-3">
                                    <p class="help-block">Add Model's Websites | Add Promoted Site Name</p>
                </div>
									<div class="col-sm-4">
										<p class="help-block"></p>
									</div>
								</div>



                                <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label"><sup style="color:red">New entry</sup> Post Highlights</label>
                <div class="col-sm-6">
                <textarea  id="postHighlights" name="postHighlights" class="form-control1" placeholder="Quote of the Day, The Magic Phrase "></textarea>
                </div>
                <div class="col-sm-2">
                    <p class="help-block"> “Intrigue is a woman’s power, and <b style="color:red";>ModelName</b>  uses it with finesse.” </p>
                </div>
            </div>





                                <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Pros</label>
                <div class="col-sm-6">
                <textarea  id="pros" name="pros" class="form-control1" placeholder="Pros separated by commas"></textarea>
                </div>
                <div class="col-sm-2">
                    <p class="help-block"> - Enter pros, separated by commas</p>
                </div>
            </div>

            <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Cons</label>
                <div class="col-sm-6">
                <textarea id="cons" name="cons" class="form-control1" placeholder="Cons separated by commas"></textarea>
                </div>
                <div class="col-sm-2">
                    <p class="help-block"> - Enter cons, separated by commas</p>
                </div>
            </div>


            <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Tags</label>
                <div class="col-sm-6">
                    <input type="text" id="tags" name="tags" class="form-control1" placeholder="Tags separated by commas">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">- Main Tags | These will be used as links, so add relevant tags commonly used by models
 </p>
                </div>
            </div>



            <div class="form-group">
    <label for="mediaSocialLinks" class="col-sm-2 control-label"> <sup style="color:red">New entry </sup> Social Media Platforms</label>
    <div class="col-sm-6">
        <!-- Dropdown for selecting social media platforms -->
        <select id="mediaSocialLinks" name="mediaSocialLinks[]" class="form-control1" onchange="updateSocialLinksInputs()">
        <option>Select Media Platforms</option>
            <option value="snapchat">SnapChat</option>
            <option value="facebook">Facebook</option>
            <option value="twitter">Twitter</option>
            <option value="tiktok">Tik tok</option>
            <option value="instagram">Instagram</option>
            <option value="youtube">YouTube</option>
            <option value="tiktok">TikTok</option>
            <option value="reddit">Reddit</option>
            <option value="other">Other</option>
        </select>
    </div>
    <div class="col-sm-2">
        <p class="help-block">Select the social media platform to enter the model ID.</p>
    </div>
</div>

<!-- Dynamic input for model ID (appears based on selected platform) -->
<div id="socialLinksInputs" class="form-group">
    <!-- Dynamic input fields for selected platforms will be added here -->
</div>

<script>
    function updateSocialLinksInputs() {
        const selectedPlatform = document.getElementById('mediaSocialLinks').value;
        
        // Prevent multiple inputs for the same platform
        const existingInput = document.getElementById(`modelID_${selectedPlatform}`);
        
        if (existingInput) {
            // If an input for this platform already exists, don't add it again
            return;
        }
        
        // Create a new div for the model ID input of the selected platform
        const socialLinksInputsDiv = document.getElementById('socialLinksInputs');
        
        const platformDiv = document.createElement('div');
        platformDiv.classList.add('form-group');
        platformDiv.id = `platform_${selectedPlatform}`;
        
        // Label for the input
        const label = document.createElement('label');
        label.classList.add('col-sm-2');
        label.classList.add('control-label');
        label.setAttribute('for', `modelID_${selectedPlatform}`);
        label.textContent = `${capitalizeFirstLetter(selectedPlatform)} Model ID:`;
        
        // Input field for model ID
        const inputDiv = document.createElement('div');
        inputDiv.classList.add('col-sm-6');
        
        const input = document.createElement('input');
        input.type = 'text';
        input.id = `modelID_${selectedPlatform}`;
        input.name = `modelLinks[${selectedPlatform}]`;
        input.classList.add('form-control1');
        input.placeholder = `Enter ${selectedPlatform} model ID`;
        
        inputDiv.appendChild(input);
        
        platformDiv.appendChild(label);
        platformDiv.appendChild(inputDiv);
        
        // Append the new input for the selected platform
        socialLinksInputsDiv.appendChild(platformDiv);
    }
    
    // Capitalize the first letter of the platform name
    function capitalizeFirstLetter(str) {
        return str.charAt(0).toUpperCase() + str.slice(1);
    }
</script>






                                <div class="form-group">
    <label for="focusedinput" class="col-sm-2 control-label"> Description:</label>
    <div class="col-sm-6">
        <textarea id="sitesDescription" name="sitesDescription" style="height: 150px; padding: 10px; width:100%;"></textarea>
    </div>
    <div class="col-sm-2">
        <p class="help-block">"Maximum of 350 characters (while the limit is not strict, it is recommended to stay within this range for optimal clarity and presentation)."</code></p>
    </div>
</div>


<div class="form-group">
    <label for="nextUpdate" class="col-sm-2 control-label"><sup style="color:red">New entry </sup>Next Post Description: </label>
    <div class="col-sm-6">
        <textarea id="nextUpdate" name="nextUpdate" class="form-control1" rows="4" placeholder="Enter a short description about the next post (e.g., what the next post will be or who it will feature)"></textarea>
   
     <small><b>Ex: </b> Stay tuned for what's coming next! The excitement is building, and the best is yet to come. Prepare for an unforgettable reveal as we take things to the next level. Who will it be? You won't want to miss this!</small>

    </div> 
    <div class="col-sm-2">
        <p class="help-block">Provide a brief overview of what the next post will be about or who will be featured.</p>
    </div>

   </div>



<div class="form-title">
							<h4>Kindly include this for the meta, as it's a must-do!</h4>
						</div>
                        <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Title</label>
                <div class="col-sm-6">
                    <input type="text" id="title" name="title" class="form-control1" placeholder="Title">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Page Title</p>
                </div>
            </div>

<div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Keywords</label>
                <div class="col-sm-6">
                    <input type="text" id="keywords" name="keywords" class="form-control1" placeholder="Keywords separated by commas">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Page Keywords </p>
                </div>
            </div>
        

            <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Small Description</label>
                <div class="col-sm-6">
                    <textarea id="description" name="description" style="height: 50px; padding: 10px; width:100%;"></textarea>
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Page description</p>
                </div>
            </div>








   
          <center>  <button type="submit" class="btn btn-default">Add Website | Model | Event</button></center>


         </div>
         
 </div>

