<!DOCTYPE html>
<html lang="en" class="language-en">
<head>
  
<meta charset="utf-8">
<meta http-equiv="Content-type" content="text/html; charset=UTF-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
<meta name="Rating" content="mature">
<meta name="RATING" content="RTA-5042-1996-1400-1577-RTA"/>
<meta name="robots" content="index, follow" />
<link rel="canonical"  href="<?= getCanonicalUrl() ?>" />
<link rel="shortcut icon" href="<?= $favIconUrl ?>">
<link rel="preconnect" href="https://fonts.googleapis.com">
<title><?= $title ?><? if (!empty($url['page']) && $url['page'] > 1): ?> - Page <?= $url['page'] ?><? endif; ?></title>
<? if (!empty($description)): ?><meta name="description" content="<?= $description ?><? if (!empty($url['page']) && $url['page'] > 1): ?> Page <?= $url['page'] ?><? endif; ?>"><? endif; ?>
<? if (!empty($keywords)): ?><meta name="keywords" content="<?= $keywords ?><? if (!empty($url['page']) && $url['page'] > 1): ?>,page <?= $url['page'] ?><? endif; ?>"><? endif ?>
<? if (!empty($previewImg)): ?><meta property="og:image" content="<?= $previewImg ?>" /><? endif; ?>
<? if (!empty($previewImgWidth)): ?><meta property="og:image:width" content="<?= $previewImgWidth ?>" /><? endif; ?>
<? if (!empty($previewImgHeight)): ?><meta property="og:image:height" content="<?= $previewImgHeight ?>" /><? endif; ?>
<meta property="og:type" content="website" />
    <meta property="og:title" content="<?= $title?><? if (!empty($url['page']) && $url['page'] > 1): ?> - Page <?= $url['page'] ?><? endif; ?>" />
    <meta property="og:description" content="<?= $description ?><? if (!empty($url['page']) && $url['page'] > 1): ?> Page <?= $url['page'] ?><? endif; ?>" />
<meta property="og:url" content="<?= getCanonicalUrl() ?>" />
<meta name="twitter:card" content="summary" />
  <? if (!empty($previewImg)): ?><meta name="twitter:image" content="<?= $previewImg ?>" /><? endif; ?>
<meta name="msapplication-TileColor" content="#ffffff">
<meta name="msapplication-TileImage" content="favicon/ms-icon-144x144.png">
<meta name="theme-color" content="#ffffff">
<meta name="google-site-verification" content="aDJdib4IctajYZTt-mcUS7zLcVLGhsaVhTKnTlWPibQ" />
<? if (!empty($fontUrl)): ?><link href="<?= $fontUrl ?>" rel="stylesheet"><? endif; ?>
<? if (0): ?>
<link href="/assets.<?= $theme ?>/css/min.css<?= $refresh ?>" rel="stylesheet" type="text/css" />
<? else: ?>
<link href="/assets.<?= $theme ?>/css/style.css<?= $refresh ?>" rel="stylesheet" type="text/css" />
<!--<link href="/assets.<?= $theme ?>/css/model-grid.css<?= $refresh ?>" rel="stylesheet" type="text/css" />-->
<!--<link href="/assets.<?= $theme ?>/css/video-js.css<?= $refresh ?>" rel="stylesheet" type="text/css" />-->
<link href="/custom.css?<?= preg_replace('!(:\w+)!', 'x', getUrl($url['name'])) ?><?= $refresh ?>" rel="stylesheet" type="text/css" />
<? endif; ?>
<? if (0): ?>
<script src="/assets.<?= $theme ?>/js/min.js" type="text/javascript"></script>
<script src="/assets.<?= $theme ?>/js/app.js<?= $refresh ?>" type="text/javascript"></script>
<? else: ?>
<script src="/assets.<?= $theme ?>/js/jquery.min.js" type="text/javascript"></script>
<script src="/assets.<?= $theme ?>/js/js.cookie.min.js" type="text/javascript"></script>
<!--<script src="/assets.<?= $theme ?>/js/all.js" type="text/javascript"></script>-->
<script src="/assets.<?= $theme ?>/js/app.js<?= $refresh ?>" type="text/javascript"></script>
<script src="/assets.<?= $theme ?>/js/lazyload.min.js" type="text/javascript"></script>
<!--
<script src="/assets.<?= $theme ?>/js/video.js" type="text/javascript"></script>
<script src="/assets.<?= $theme ?>/js/videojs-http-streaming.js" type="text/javascript"></script>
<script src="/assets.<?= $theme ?>/js/videojs-contrib-hls.min.js" type="text/javascript"></script>
<script src="/assets.<?= $theme ?>/js/vtt.min.js" type="text/javascript"></script>
-->
<? endif; ?>
</head>
<body cz-shortcut-listen="true" style="">

<? if ($url['name'] == 'webcamsCustom'): ?><div id="customFloatingChatEmbed"></div><? endif; ?>

<? if ($webcamsFloatingChat && !empty($floatingChatModel) && $url['name'] != 'webcamsCustom' && $url['name'] != 'webcamsMulti' && $url['type'] != 'video' && (!isset($model) || $model['status'] == 'Offline') && ($url['name'] != 'home' || $homeContent != 'webcamsMulti')): ?>
<div id="floatingChat" data-url="<?= getUrl('floatingChatEmbed') ?>" data-site="<?= $floatingChatModel['site'] ?>" data-nickname="<?= $floatingChatModel['nickname'] ?>" data-timestamp="<?= time() ?>" data-thumb="<?= $floatingChatModel['numImages'] > 0 ? $floatingChatModel['imagePath'] . $floatingChatModel['numImages'] . '.webp' : $floatingChatModel['imageUrl'] ?>">
<!--<div id="floatingChatImage"> <img src="<?= $floatingChatModel['numImages'] > 0 ? $floatingChatModel['imagePath'] . $floatingChatModel['numImages'] . '.webp' : $floatingChatModel['imageUrl'] ?>"> </div>-->
    <div id="floatingChatEmbed"></div>
</div>
<? endif; ?>
<header>
    <div class="primary-header" <? if (!$headerMenu): ?>id="sidebar-anchor"<? endif; ?>>
    <div class="ph-col col-logo">
      <div class="logo-wrapper">
        <a href="javascript:void(0)" class="mobile-menu">
          <svg height="32px" id="Layer_1" style="enable-background:new 0 0 32 32;" version="1.1" viewBox="0 0 32 32" width="32px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path fill="currentColor" d="M4,10h24c1.104,0,2-0.896,2-2s-0.896-2-2-2H4C2.896,6,2,6.896,2,8S2.896,10,4,10z M28,14H4c-1.104,0-2,0.896-2,2  s0.896,2,2,2h24c1.104,0,2-0.896,2-2S29.104,14,28,14z M28,22H4c-1.104,0-2,0.896-2,2s0.896,2,2,2h24c1.104,0,2-0.896,2-2  S29.104,22,28,22z"/></svg>
	</a>
        <div class="logo">
          <a href="/">
            <? if (!empty($headerLogoUrl)): ?>
            <img id="logo-icon" src="<?= $headerLogoUrl ?>" alt="Logo" loading="lazy" <? if (!empty($headerLogoHeight)): ?>height="<?= $headerLogoHeight ?>"<? endif; ?> />

<style>
/*
@media (min-width: 900px) and (max-width: 2199px){
  .n3VNCb{display:none!important;}}
  .n3VNCb{  height: 87px;position: absolute;}
*/
</style>
            <? if (!empty($headerBannerMobileUrl)): ?>
                <? if (!empty($headerBannerLinkUrl)): ?>
                <a href="<?= $headerBannerLinkUrl ?>" target="_blank">
                <? endif; ?>
                    <img src="<?= $headerBannerMobileUrl ?>" class="ad-mobile" alt="" data-noaft="1" >
                <? if (!empty($headerBannerLinkUrl)): ?>
                    </a>
                <? endif;  ?>
            <? endif; ?>

            <? elseif (!empty($headerTemplate)): ?>
                <? include($headerTemplate)  ?>
            <? endif; ?>
          </a>
        </div>
      </div>
    </div>

    <div class="ph-col col-search">

<style>
.ad{
  position: absolute;
  display: inline-block;
  margin-top: -13px;

  width: 475px;
  height: 46px;
  z-index: 10;
  margin-right: 18%;
}
@media (max-width: 1300px)
{.primary-header .search-group {
    width: 44%!important;
}}
</style>

<? if (!empty($headerBannerUrl)): ?>
<div class="ad" >
    <? if (!empty($headerBannerLinkUrl)): ?>
    <a href="<?= $headerBannerLinkUrl ?>" target="_blank">
    <? endif; ?>
        <img src="<?= $headerBannerUrl ?>">
    <? if (!empty($headerBannerLinkUrl)): ?>
        </a>
    <? endif;  ?>
</div>
<? endif; ?>

      <div class="search-group">
      <form id="search-box-top" action="<?= str_replace(':page', '', getUrl('search')) ?>" target="_self">
          <input id="search_models_top" autocomplete="off" type="text" class="search-txt" name="q" placeholder="Search on keyword">
          <div id="container-search"></div>
          <button class="search-submit">
            <svg enable-background="new 0 0 50 50" height="50px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="50px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M38.084,7.398c-8.531-8.53-22.36-8.53-30.89,0c-8.53,8.53-8.53,22.36,0,30.89  c7.331,7.33,18.566,8.341,26.998,3.074l8.132,8.13c1.757,1.756,4.604,1.756,6.359,0c1.757-1.757,1.757-4.603,0-6.357l-8.002-8  C46.486,26.63,45.629,14.943,38.084,7.398z M32.632,32.836c-5.518,5.52-14.467,5.52-19.986,0c-5.519-5.519-5.519-14.468,0-19.988  c5.519-5.518,14.468-5.518,19.986,0C38.154,18.368,38.154,27.317,32.632,32.836z"/></svg>
          </button>
        </form>
      </div>
    </div>






    <!--
    <div class="ph-col col-action">
      <button type="button" class="btn btn-search-mobile">
        <svg enable-background="new 0 0 50 50" height="50px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="50px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M38.084,7.398c-8.531-8.53-22.36-8.53-30.89,0c-8.53,8.53-8.53,22.36,0,30.89  c7.331,7.33,18.566,8.341,26.998,3.074l8.132,8.13c1.757,1.756,4.604,1.756,6.359,0c1.757-1.757,1.757-4.603,0-6.357l-8.002-8  C46.486,26.63,45.629,14.943,38.084,7.398z M32.632,32.836c-5.518,5.52-14.467,5.52-19.986,0c-5.519-5.519-5.519-14.468,0-19.988  c5.519-5.518,14.468-5.518,19.986,0C38.154,18.368,38.154,27.317,32.632,32.836z"/></svg>
      </button>
      <a rel="nofollow" href="" target="_blank" class="btn btn-account btn-theme text-uppercase">Join</a>
    </div>
    -->

  </div>

<? if ($headerMenu): ?>
    <? $addClass = 'headermenu-desktop'; include('headerMenu.php'); ?>
    <? $addClass = 'headermenu-mobile'; $headerMenuItems = $headerMenuItemsMobile; if (isset($headerMenuTabsItemsMobile)) $headerMenuTabsItems = $headerMenuTabsItemsMobile; include('headerMenu.php'); ?>
<? endif; ?>

</header>

<div class="main">
<? if ($sidebar): ?>
<? if ($url['name'] != 'webcamsCustom'): ?>
    <? $addClass = 'sidebar-desktop'; include('sidebar.php'); ?>
    <? endif; ?>
<? endif; ?>
    <? $addClass = 'sidebar-mobile'; $sidebarMenuItems = $sidebarMenuItemsMobile; include('sidebar.php'); ?>

 <!-- style="width: 100%; display:flex;overflow: hidden;">-->


<div class="content">
<div class="page-content">
<?if ($url['name'] != 'webcamsCustom' && $url['type'] != 'webcam'): ?>
  <h1 class="display-h1">
    <?= $title?>
  </h1>
<? endif;?>
  <? //print_r($url);exit;?>

<?= $page_contents ?>
<?if ($url['type'] != 'webcam'): ?>
<h2 class="display-h2"><?= $description?></h2>
<? endif;?>
</div>
</div>
</div>

    </div>

<? if ($url['name'] != 'privacy' && empty($_COOKIE['cookie-policy'])): ?>
    <div id="cookiePolicyBanner" class="cookie-notify show ">
        <div class="warning-age">18+</div>
        <div class="policy-copy">
            <div class="contain-age-warn">
            <p class="age-warn-title"><strong><?= $sitename ?> contains adult content</strong></p>
                <p>We use cookies to optimize your experience, analyze traffic, and deliver more personalized service.
                    <? if (getUrl('privacy') != ''): ?>
                        To learn more, please see our
                        <a href="<?= encodeUrl('privacy') ?>"><span class="text-link">Privacy Policy</span>.</a>
                    <? endif; ?>
                </p>
                <div class="policy-button">
                    <input class="cookie-notify-button btn primary " type="button" id="cookie-policy-accept" value="I Agree">
                </div>
            </div>
        </div>
    </div>
<? endif; ?>

<? if (!empty($footerTemplate) || !empty($footerMenuItems)): ?>
<footer style="background:<?=$menuBgColor?>!important;">
  <div class="container">
    <div class="footer-wrapper">
        <? if (!empty($footerTemplate)): ?>
            <? include($footerTemplate) ?>
        <? elseif (!empty($footerMenuItems)): foreach ($footerMenuItems as $i): ?>
        <div class="footer-column">
            <a href="<?= $i['link'] ?>" <? if ($i['internal'] == false): ?>target="_blank"<? endif; ?>><?= $i['label'] ?></a>
        </div>
        <? endforeach; endif; ?>
    </div>
  </div>
</footer>
<? endif; ?>

<script>
$(function() {
    //resizerSetup('floatingChatEmbed');
    resizeHeight('.sidebar-desktop', 'sidebar-anchor');
    resizeHeight('.sidebar-mobile', 'sidebar-anchor');
    //<? if (substr($url['name'], 0, 14) == 'webcamsProfile'): ?>resizerSetup('chatembed');<? endif; ?>
        //resizerSetup('customChatEmbed');
        //resizerSetup('customFloatingChatEmbed');
      //  modelsGrid.init("<?= encodeUrl('webcamsRouletteSearch') ?>", "<?= encodeUrl('webcamsRoulette') ?>", ".preview", '#webcams', '#videoContainer', '#iExistOnlyInYourImagination', 0);


    <? if ($url['name'] == 'webcamsCustom' || ($url['name'] == 'home' && $homeContent == 'webcamsCustom')): ?>
        modelsGrid.init("<?= encodeUrl('webcamsCustomSearch') ?>", "<?= encodeUrl('webcamsCustom') ?>", ".preview", '#customList', '#customChatEmbed', '#customFloatingChatEmbed', 0);

    <? elseif ($url['name'] == 'webcamsMulti' || ($url['name'] == 'home' && $homeContent == 'webcamsMulti')): ?>
        modelsGrid.init("<?= encodeUrl('webcamsMultiSearch') ?>", "<?= encodeUrl('webcamsMulti') ?>", ".preview", '#multiList', '#multiChatEmbed', '', <?= $multiEmbedCount ?>);

    <? elseif ($url['name'] == 'webcamsRoulette'): ?>
        modelsGrid.init("<?= encodeUrl('webcamsRouletteSearch') ?>", "<?= encodeUrl('webcamsRoulette') ?>", ".preview", '#multiList', '#multiChatEmbed', '', <?= $multiEmbedCount ?>);

    <? elseif (isset($flavor) && $flavor == 'streamray'): ?>
        modelsGrid.init("<?= encodeUrl('search') ?>", "", "", '.page-content', '', '', 1);

    <? endif; ?>

    <? if ($url['type'] == 'videos'): ?>
        page.init("<?= getRoute() ?>", '#webcams', '#loadmore', <?= $paginationLoadMore == 'auto' ? 1 : 0 ?>, <?= $page ?>, <?= !empty($pages) ? $pages : 0 ?>);
    <? else: ?>
        page.init("<?= $url['name'] == 'webcamsCustom' ? getUrl('webcamsCustomSearch') : ($url['name'] == 'webcamsMulti' ? getUrl('webcamsMultiSearch') : ($url['name'] == 'home' ? $homePagination : getRoute())) ?>", '#webcams', '#loadmore', <?= $paginationLoadMore == 'auto' ? 1 : 0 ?>, <?= $page ?>, <?= !empty($pages) ? $pages : 0 ?>);
    <? endif; ?>

<? if (!$homeSidebar && $url['name'] == 'home'): ?>
    $('.sidebar').hide();
    $('body').removeClass('sidebar-active');
    $('.sidebar').addClass('collapse');
    create_data_cookie('hide_sidebar', '1', 7);
<? endif; ?>

    $('#cookie-policy-accept').click(function() {
        $('#cookiePolicyBanner').removeClass('show');
        $('#cookiePolicyBanner').addClass('hide');
        Cookies.set('cookie-policy', 1);
    });

<? if ($sidebarAjaxLinks): ?>
    sidebarAjaxLinks();
<? endif; ?>
});

<? if (!empty($refreshImagesInterval)): ?>
function refreshImages() {
    var refresh = '?' + Math.floor(new Date() / 1000);
    $('.preview img').each(function() {
        let t = $(this).attr('src');
        if (t) {
            let src = t.replace(/\?.*/, '') + refresh;
            $(this).attr('src', src);
        }
    });
    setTimeout(refreshImages, <?= $refreshImagesInterval * 1000 ?>);
}

setTimeout(refreshImages, <?= $refreshImagesInterval * 1000 ?>);
<? endif; ?>

</script>

<?php if (!empty($googleTag)): ?>
<script async src="https://www.googletagmanager.com/gtag/js?id=<?= $googleTag ?>"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());
  gtag('config', '<?= $googleTag ?>');
</script>
<? endif; ?>

<script type="text/javascript">
function create_data_cookie(e,a,i){if(i){var o=new Date;o.setTime(o.getTime()+24*i*60*60*1e3);var s="; expires="+o.toGMTString()}else s="";document.cookie=e+"="+a+s+"; path=/"}
function read_data_cookie(e){for(var a=e+"=",i=decodeURIComponent(document.cookie).split(";"),o=0;o<i.length;o++){for(var s=i[o];" "===s.charAt(0);)s=s.substring(1);if(0===s.indexOf(a))return s.substring(a.length,s.length)}return""};
</script>
<script type="text/javascript">
lazyLoadInstance = new LazyLoad({ });
</script>
</body>
</html>
