
<style>

.info-label {
  font-weight: bold;
  font-size: 16px;
  color: #A2242D; /* Red color */
}

.info-value {
  margin-left: 10px;
  font-size: 14px;
  color: #F37220; /* Orange color */
}
.rwd-media {
  border: 2px solid;
  border-image: linear-gradient(to right, #F37220,#A2242D, #F37220, #A2242D);
  border-image-slice: 1; 
}

.modal, .modal-open {
   overflow: visible;
}
.fade {
     opacity: 1; 
    transition: opacity .15s linear;
}
.modal {
    position: absolute;
    top: 100px;
    right: 0;
    bottom: 0;
    height: 300px;
    left: 0;
    z-index: 1050;
    display: none;
    -webkit-overflow-scrolling: touch;
    outline: 0;
}

/* Style the winner message popup */
.popup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: <?= $pageTextDescription;?>;
  background-color: <?= $tabsCategoriesMenuBackground?>;
  border-radius:20px;
  padding: 20px; 
  border: 2px solid #ccc;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  z-index: 9999;
  max-width: 400px; /* Limit the maximum width of the popup */
}

.popup p {
  margin: 0;
  font-size: 16px;
  margin-bottom: 10px;
}

.popup button {
  margin-right: 10px;
  padding: 8px 16px;
  border: none;
  background-color: #007bff;
  color: #fff;
  cursor: pointer;
  border-radius: 4px;
  transition: background-color 0.3s ease;
}

.popup button:hover {
  background-color: #0056b3;
}

/* Add media query for responsiveness on small screens */
@media screen and (max-width: 768px) {
  .popup {
    width: 90%; /* Adjust the width to fit smaller screens */
    max-width: 90%; /* Limit the maximum width on small screens */
  }

  .popup button {
    width: 100%; /* Make the buttons full width on small screens */
  }
}








.btn--shockwave.is-active {
  -webkit-animation: shockwaveJump 1s ease-out infinite;
          animation: shockwaveJump 1s ease-out infinite;
}
.btn--shockwave.is-active:after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  border-radius: 50%;
  -webkit-animation: shockwave 1s .65s ease-out infinite;
          animation: shockwave 1s .65s ease-out infinite;
}
.btn--shockwave.is-active:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  border-radius: 50%;
  -webkit-animation: shockwave 1s .5s ease-out infinite;
          animation: shockwave 1s .5s ease-out infinite;
}

@-webkit-keyframes shockwaveJump {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  40% {
    -webkit-transform: scale(1.08);
            transform: scale(1.08);
  }
  50% {
    -webkit-transform: scale(0.98);
            transform: scale(0.98);
  }
  55% {
    -webkit-transform: scale(1.02);
            transform: scale(1.02);
  }
  60% {
    -webkit-transform: scale(0.98);
            transform: scale(0.98);
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}

@keyframes shockwaveJump {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
  40% {
    -webkit-transform: scale(1.08);
            transform: scale(1.08);
  }
  50% {
    -webkit-transform: scale(0.98);
            transform: scale(0.98);
  }
  55% {
    -webkit-transform: scale(1.02);
            transform: scale(1.02);
  }
  60% {
    -webkit-transform: scale(0.98);
            transform: scale(0.98);
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
  }
}
@-webkit-keyframes shockwave {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.15), inset 0 0 1px rgba(0, 0, 0, 0.15);
  }
  95% {
    box-shadow: 0 0 50px transparent, inset 0 0 30px transparent;
  }
  100% {
    -webkit-transform: scale(2.25);
            transform: scale(2.25);
  }
}
@keyframes shockwave {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.15), inset 0 0 1px rgba(0, 0, 0, 0.15);
  }
  95% {
    box-shadow: 0 0 50px transparent, inset 0 0 30px transparent;
  }
  100% {
    -webkit-transform: scale(2.25);
            transform: scale(2.25);
  }
}
.btn--jump.is-active {
  -webkit-animation: .4s jump ease infinite alternate;
          animation: .4s jump ease infinite alternate;
}






    .sides {
  animation: 0.7s curtain cubic-bezier(.86,0,.07,1) 0.4s both;
  
  display: grid;
  grid-template-columns: 40vw 40vw;
}


@keyframes curtain {
  0% {
    grid-gap: 100vw; 
  }
  
  100% {
    grid-gap: 0;
  }
}








.intro {
  height: 100%;
  overflow: hidden;
  display: flex;
  justify-content: center;
}

.sides {
  position: relative;
}

.side {
  display: flex;
  flex-direction: column;
  align-items: center;
  

}

.monkey {
  background-color: #dcc9a1;
  color: #534325;
}

.robot {
  background-color: #dcc9a1;
  color: #ffffff;
  /*flex-direction: column-reverse;*/
}

.name {
  margin: 0.3em;
}



.versus {
  position: absolute;
  width: 8vw;
  height: 8vw;
  background: white;
  border-radius: 50%;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  margin: auto;
  z-index: 3;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.4vw;
  color: white;
  border-width: 10px;
  border-style: solid;
  border-color: #A2242D #F37220 #F37220 #A2242D;
  transform: rotate(-45deg);
}

.versus span {
  transform: rotate(35deg);
}


.emoji{
    width: 100%;
}


.winner {
    font-size: 18px;
    font-weight: bold;
    color: #008000; /* You can change the color to your preferred one */
    margin-top: 10px;
  }



/*------*/
#embedContainer {
            display: flex;
            justify-content: space-around;
            margin-bottom: 20px;
        }

        iframe {
            width: 400px;
            height: 300px;
            border: none;
            box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
        }

        #votingButtons{
            display: flex;
            justify-content: space-around;
            margin-bottom: 20px;
            margin-top: 12px;
        }

      /* Add styles for the button-over-embed */

      .panel-paywall .clubprices .clubprices-clubprice .clubprices-token-info {
    font-size: 12px;
}

        button {
            font-size: 18px;
            padding: 10px 20px;
            margin: 0 10px;
            background-color: #4CAF50;
            color: #fff;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }

        button:hover {
            background-color: #45a049;
        }

        button:disabled {
            background-color: #808080;
            cursor: not-allowed;
        }

      

        .voted {
            animation: scaleIn 0.5s ease;
        }

        @keyframes scaleIn {
            0% { transform: scale(0); opacity: 0; }
            100% { transform: scale(1); opacity: 1; }
        }

/* Mobile styles */
@media screen and (max-width: 480px) {
  /* Adjust the font size for better readability on smaller screens */
  body {
    font-size: 16px;
  }

  /* Center the voting buttons and result section on small screens */
  #votingButtons {
    text-align: center;
    margin-bottom: 20px;
  }

  #result {
    text-align: center;
  }

  /* Adjust the width and margin of the buttons for better spacing on small screens */
  #votingButtons button {
    width: 100%;
    margin-bottom: 10px;
  }

  /* Adjust the font size and padding of the countdown timer */
  #countdown {
    font-size: 18px;
    padding: 10px 0;
  }

}

.custom-popup {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #fff;
  padding: 20px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  z-index: 9999;
}

/* Media query for mobile devices with screen width less than 768px */
@media (max-width: 767px) {
  .custom-popup {
    padding: 10px; /* Reduce padding for smaller screens */
  }

  #popupMessage {
    font-size: 14px; /* Adjust font size for better readability on smaller screens */
    line-height: 1.5; /* Adjust line height for better spacing on smaller screens */
  }
}


/* Add your custom styles for the popup */



/*----*/

boobns {
    flex-grow: 0!important;
    padding-left: 2px;
    padding-right: 2px;
}





.p-small {
  font-size: 15px; 
}
/* Adjust z-index of the embed containers to place them below the buttons */
.side {
  position: relative;
  z-index: 0;
}

   /*popup photos*/

.gallery {
  display: none; /* Initially hide the gallery images */
}

.gallery.show {
  display: flex; /* Show the gallery images when the button is clicked */
}


.gallery img {
  max-width: 200px;
  margin: 5px;
  cursor: pointer;
}

.popup-container {
  display: none;
  position: absolute;
    z-index: 999999;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  justify-content: center;
  align-items: center;
}

.popup-container-sc {
  display: none;
  position: absolute;
    z-index: 999999;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  justify-content: center;
  align-items: center;
}

.popup-container img {
  /*max-width: 80%;
  max-height: 80%;*/
}



.popup-container-sc img {
  max-width: 100%;
  max-height: 260px;

}

.close-button, .nav-button {
  color: #fff;
  background-color: #333;
  padding: 8px 16px;
  border: none;
  cursor: pointer;
  margin: 5px;
}

.close-button {
  position: absolute;
  top: 10px;
  right: 10px;
}

.nav-button {
  
  top: 50%;
  transform: translateY(-50%);
}

.nav-button:nth-child(3) {
  right: 10px;
}

.nav-button:nth-child(2) {
  left: 10px;
}


</style>
<script>
  function switchText() {
  const textSwitch = document.getElementById("textSwitch");
  const options = [
     '<img src="/assets.<?= $theme ?>/images/chaturbate-vs.png" style="height: 50px;"alt="Vs.">',
     '<img src="/assets.<?= $theme ?>/images/vs.png" style="height: 50px;"alt="Vs.">',
     '<img src="/assets.<?= $theme ?>/images/stripchat-vs.webp" style="height: 50px;"alt="Vs.">',
     
    
    
    ];
  let currentIndex = 0;

  function updateText() {
    textSwitch.innerHTML = options[currentIndex];
    currentIndex = (currentIndex + 1) % options.length;
    setTimeout(updateText, 2000); // Change text every 2 seconds (adjust as needed)
  }

  updateText();
}
  /*
  function switchText() {
    const textSwitch = document.getElementById("textSwitch");
    const options = ["Chaturbate", "Vs.", "Stripchat"];
    let currentIndex = 0;

    function updateText() {
      textSwitch.innerText = options[currentIndex];
      currentIndex = (currentIndex + 1) % options.length;
      setTimeout(updateText, 2000); // Change text every 2 seconds (adjust as needed)
    }

    updateText();
  }*/

  // Call the switchText function after the page loads
  window.onload = switchText;
</script>



<?


// Initialize default values for gender, age, and location
$defaultGender = 'f'; // Assuming 'f' stands for female, you can change it to whatever the default gender should be
$defaultAge = ''; // Set the default age (empty for now)
$defaultLocation = ''; // Set the default location (empty for now)
$battelSites = ''; // Set the default location (empty for now)

// Check if the form has been submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['resetFilters'])) {
        // Reset button was clicked, so set the gender, age, and location to their default values
        $gender = $defaultGender;
        $age = $defaultAge;
        $location = $defaultLocation;
    } else {
        // Form data is received, use the submitted values for gender, age, and location
        $gender = isset($_POST['gender']) ? $_POST['gender'] : '';
        $age = isset($_POST['age']) ? $_POST['age'] : '';
        $location = isset($_POST['location']) ? $_POST['location'] : '';
    }
} else {
    // Page just loaded, set the gender, age, and location to the default values
    $gender = $defaultGender;
    $age = $defaultAge;
    $location = $defaultLocation;
}


// Create an empty array to store the models
// Create empty arrays to store models from each site
$modelversus_cb = [];
$modelversus_sc = [];

// Get models from 'cb'
$modelversus_cb = getWebcams(['site' => 'cb', 'status' => 'f', 'gender' => $gender, 'count' => 100]);

// Get models from 'sc'
$modelversus_sc = getWebcams(['site' => 'sc', 'status' => 'f', 'gender' => $gender, 'count' => 100]);

// Create the final array to store the mixed models
$modelversus = [];

// Find the maximum count of models from both arrays
$maxCount = max(count($modelversus_cb), count($modelversus_sc));

// Merge models alternately from 'cb' and 'sc' arrays
for ($i = 0; $i < $maxCount; $i++) {
    if (isset($modelversus_cb[$i])) {
        $modelversus[] = $modelversus_cb[$i];
    }
    if (isset($modelversus_sc[$i])) {
        $modelversus[] = $modelversus_sc[$i];
    }
}

// Now $modelversus contains models from both 'cb' and 'sc' in a mixed order

//print_r($modelversus);



$model_chaturbate = getWebcams(['site' => 'cb', 'status' => 'f', 'gender' => $gender, 'count' => 100]);
$model_stripchat = getWebcams(['site' => 'sc', 'status' => 'f', 'gender' => $gender, 'count' => 100]);
$model_bongacams = getWebcams(['site' => 'bc', 'status' => 'f', 'gender' => $gender, 'count' => 100]);
$random_number_cb = mt_rand(1, 99);
$random_number_sc = mt_rand(2, 98); 



$ass = encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $model_chaturbate[($random_number_cb)]);
//print_r( $ass );

//exit;
     
?>





<div class="custom-popup" id="customPopup">
  <p id="popupMessage">Bravo! You've rocked the voting game. Step aside for now and let others join the fun. The timer will tick down soon!</p>
  <p id="countdownTimer"></p>
</div>

<div class="container-thing container-thing-v2">
<div class="column-user-interface item-grid-brick" style="">
    <div class="column-user-interface-inner-container">


      
    <div class="panel panel-default mb0 panel-paywall">
  <div class="panel-heading">
      <div class="flex-row " >
        <div class=" boobns">
        <i class="fa fa-filter" aria-hidden="true"></i>
        Fine-tune Your Options
        </div>
     
<div class=" text-bold text-large" >





          <vs class="vs text-description"  >
            <?= ucfirst($model_chaturbate[$random_number_cb]['nickname']) ?>
      
        </vs>
        <span> - Vs. - </span>

          <vs class="vs text-description"> 
            <?= ucfirst($model_stripchat[$random_number_sc]['nickname']) ?>
        </vs>
        </div>


          <div class="flex-col-no-grow">
          <?= $matches;?> Models in Live Sex Show's
          </div>
      </div>
  </div>

  <div class="panel-body">
    <center>
    <div class="mt5">
    <form method="post">

<select class="form-control"  name="gender" id="gender" style="width: auto;display: inline;">
  <option value="">Random Live Shows</option>
  <option value="f">Female</option>
  <option value="c">Couple</option>
  <option value="m">Male</option>
  <option value="t">Trans</option>
</select>


<button class="btn btn-grey btn-rounded btn-sm adsone" type="submit" name="submit" >Apply Filters</button>
<button class="btn btn-grey btn-rounded btn-sm adsone" type="submit" name="resetFilters">Reset Filters</button>


</form>
<br>

</div>
</center>
<?php

// Assuming you have received the form data in variables $gender and $selectedSite
// Check if a specific site was selected or use both 'cb' and 'sc'


// Gender map
$genderMap = array(
  'f' => 'Female',
  'c' => 'Couple',
  'm' => 'Male',
  't' => 'Trans',
);

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] === "POST") {
  // Check if the gender option is selected
  if (isset($_POST["gender"]) && !empty($_POST["gender"])) {
    $selectedGender = $_POST["gender"];
    // Check if the selected gender exists in the gender map
    if (array_key_exists($selectedGender, $genderMap)) {
      $fullGenderName = $genderMap[$selectedGender];?>


<div class="clubprices">
        <div class="clubprices-header">
        Get ready to be amazed! Your pick is <b class="p-small text-description"><?= $fullGenderName?> </b>, promising an electrifying experience
    <br>
        </div>
            
            <div class="clubprices-clubprice ">
              
              <div class="clubprices-token-info">Hold your breath as  <hip class="p-small text-description"> <?= ucfirst($model_chaturbate[$random_number_cb]['nickname']) ?> </hip> and <hip  class="p-small text-description"><?= ucfirst($model_stripchat[$random_number_sc]['nickname']) ?></hip> set the stage on fire with their smoldering rivalry</div>
            </div>
      </div>


     
   <? } 
  } 
}
?>
  </div>
</div>






        <div class="description-box show-line-breaks">

        </div>

      


      </div>
  </div>






</div>



    <div  id="originalEmbedContainer" class="original-embed">



    <?php
$battle_text_options = array(
  ucfirst($model_chaturbate[$random_number_cb]['nickname']) . " from Chaturbate is in a battle with " . ucfirst($model_stripchat[$random_number_sc]['nickname']) . " from Stripchat. Let's see who will come out on top!",
  "The showdown has begun! " . ucfirst($model_chaturbate[$random_number_cb]['nickname']) . " from Chaturbate is facing off against " . ucfirst($model_stripchat[$random_number_sc]['nickname']) . " from Stripchat. Who will be the ultimate winner?",
  "It's a battle royale! " . ucfirst($model_chaturbate[$random_number_cb]['nickname']) . " from Chaturbate is going head-to-head with " . ucfirst($model_stripchat[$random_number_sc]['nickname']) . " from Stripchat. Let's find out who's the best!",
  "Two models enter, one model leaves victorious! " . ucfirst($model_chaturbate[$random_number_cb]['nickname']) . " from Chaturbate and " . ucfirst($model_stripchat[$random_number_sc]['nickname']) . " from Stripchat are locked in a fierce competition.",
  "In the ultimate contest of beauty and charm, " . ucfirst($model_chaturbate[$random_number_cb]['nickname']) . " from Chaturbate takes on " . ucfirst($model_stripchat[$random_number_sc]['nickname']) . " from Stripchat. Who will claim victory?",
  "It's a clash of titans! " . ucfirst($model_chaturbate[$random_number_cb]['nickname']) . " from Chaturbate is vying for victory against " . ucfirst($model_stripchat[$random_number_sc]['nickname']) . " from Stripchat. Let's see who emerges as the winner!",
  "The battle lines are drawn as " . ucfirst($model_chaturbate[$random_number_cb]['nickname']) . " from Chaturbate challenges " . ucfirst($model_stripchat[$random_number_sc]['nickname']) . " from Stripchat. Only one can be the winner!",
  "Who will triumph in this epic showdown? " . ucfirst($model_chaturbate[$random_number_cb]['nickname']) . " from Chaturbate or " . ucfirst($model_stripchat[$random_number_sc]['nickname']) . " from Stripchat? Let's find out!",
  "It's a face-off like no other! " . ucfirst($model_chaturbate[$random_number_cb]['nickname']) . " from Chaturbate and " . ucfirst($model_stripchat[$random_number_sc]['nickname']) . " from Stripchat compete for the title of the ultimate champion.",
  "Get ready for an electrifying showdown between " . ucfirst($model_chaturbate[$random_number_cb]['nickname']) . " from Chaturbate and " . ucfirst($model_stripchat[$random_number_sc]['nickname']) . " from Stripchat. Who will win the battle?"
);
?>

<div id="content-yield-container">
<div class="header-tabs-wrapper tabs-users">
    <div class="tabs">

<h1 class="ctab" style="margin-top:5px;font-size: 20px!important; margin-left:40px;">
<?= $battle_text_options[array_rand($battle_text_options)] ?>
</h1>


</div></div>





<div class="intro">
  <div class="sides">
    <div class="side monkey" id="embedMonkey">
   
   
   <script>
function toggleModal() {
  var modal = document.getElementById('profileMe');
  if (modal.style.display === 'block') {
    modal.style.display = 'none'; // Hide the modal
  } else {
    modal.style.display = 'block'; // Show the modal
  }
}
   </script>
    <div  class="modal fade" id="profileMe"  style="display: none;">
    <div class="modal-dialog max-width-400px-98vw" role="document">
      <div class="modal-content">
        <div class="modal-header modal-header-flex">
          <span class="title">  <?=  $model_chaturbate[$random_number_cb]['nickname']?> details</span>
          <i onclick="toggleModal()"  class="fa fa-times-circle" aria-hidden="true"></i>
        </div>
        <div class="modal-body">


     
    <p><strong class="info-label">Name:</strong> <span class="info-value"> <?=  $model_chaturbate[$random_number_cb]['nickname']?> </span></p>
    <p><strong class="info-label">Age:</strong>  <span class="info-value"><?=  $model_chaturbate[$random_number_cb]['age']?> </span></p>
    <? if ($model_chaturbate[$random_number_cb]['location'] != ''): ?>
    <p><strong class="info-label">Location:</strong> <span class="info-value"> <?=  $model_chaturbate[$random_number_cb]['location']?> </span></p>
    <?endif;?>
   
    <? if ($model_chaturbate[$random_number_cb]['viewers'] > 0): ?>
    <p><strong class="info-label">Viewers:</strong> <span class="info-value"> <?=  $model_chaturbate[$random_number_cb]['viewers']?> </span></p>
<?endif;?>
<? if ($model_chaturbate[$random_number_cb]['followers'] > 0): ?>
  <p><strong class="info-label">Followers:</strong> <span class="info-value"> <?=  $model_chaturbate[$random_number_cb]['followers']?> </span></p>

<? endif; ?>
      </div>
      </div>
    </div>
  </div>
   

    <div class="mb5">


   
    
  
  
  
  <div class="pull-left">
      <a href="<?= encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $model_chaturbate[($random_number_cb)]);?>" class="avatar avatar-small user-link text-description">
       
      
      <img 
  src="<?= $model_chaturbate[$random_number_cb]['imagePath'] . $model_chaturbate[$random_number_cb]['numImages'] . '.webp'?>"
  onerror="this.src='<?=$headerLogoUrl?>'" 
  alt="Model Image"
>
        
        <?=  $model_chaturbate[$random_number_cb]['nickname']?>
      </a>
      <span class="album-at hidden-xs" data-toggle="tooltip" title="" > live free show  on <?=  $model_chaturbate[$random_number_cb]['site']?></span>

      <div class="ml10 inline-block hidden-xs">

      <span class="follow-buttons " >
          <a href="<?= encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $model_chaturbate[($random_number_cb)]);?>" target="_blank"  class="text-description" title="<?=  $model_chaturbate[$random_number_cb]['nickname']?> Profile Bio Page">
 <i class="fa fa-user-circle" aria-hidden="true"></i>
</a>
</span>&nbsp; 
  
   

        <span class="follow-buttons " >
          <a  onclick="toggleModal()"   class="text-description" title="<?=  $model_chaturbate[$random_number_cb]['nickname']?> Profile Info">
  <i class="fa fa-bars" aria-hidden="true"></i>
</a>
          
        </span>&nbsp; 

        <!--photos-->
    <span class="follow-buttons " >
          <a  onclick="showPopup('<?php echo $model_chaturbate[$random_number_cb]['imagePath'] . ($model_chaturbate[$random_number_cb]['numImages'] - 1) . ".webp"; ?>')"   class="text-description" title="<?=  $model_chaturbate[$random_number_cb]['nickname']?> images free chat">
  <i class="fa fa-picture-o" aria-hidden="true"></i>
</a>
          
        </span>
                <!--photos-->
      </div> 
    </div><!--pull-left-->

<!-- photos script-->
<script>
let currentImageIndex = 0;
let currentImageIndex_sc = 0;

function showPopup(imagePath) {
  const popupContainer = document.getElementById("popupContainer");
  const popupImage = document.getElementById("popupImage");

  popupImage.src = imagePath;

  popupContainer.style.display = "flex";
}
function showPopup_sc(imagePath) {
  const popupContainer = document.getElementById("popupContainer-sc");
  const popupImage = document.getElementById("popupImage_sc");

  popupImage.src = imagePath;

  popupContainer.style.display = "flex";
}

function closePopup() {
  const popupContainer = document.getElementById("popupContainer");
  popupContainer.style.display = "none";
}

function closePopup_sc() {
  const popupContainer = document.getElementById("popupContainer-sc");
  popupContainer.style.display = "none";
}

function changeImage(direction) {
  const popupImage = document.getElementById("popupImage");

  const galleryThumbnails = document.getElementsByClassName("default-thumbnail");
  currentImageIndex += direction;
  
  if (currentImageIndex < 0) {
    currentImageIndex = galleryThumbnails.length - 1;
  } else if (currentImageIndex >= galleryThumbnails.length) {
    currentImageIndex = 0;
  }

  const newImagePath = galleryThumbnails[currentImageIndex].src;
  popupImage.src = newImagePath;
}




function changeImage_sc(direction) {
  const popupImage_sc = document.getElementById("popupImage_sc");

  const galleryThumbnails = document.getElementsByClassName("default-thumbnail-sc");
  currentImageIndex_sc += direction;
  
  if (currentImageIndex_sc < 0) {
    currentImageIndex_sc = galleryThumbnails.length - 1;
  } else if (currentImageIndex_sc >= galleryThumbnails.length) {
    currentImageIndex_sc = 0;
  }

  const newImagePath = galleryThumbnails[currentImageIndex_sc].src;
  popupImage_sc.src = newImagePath;
}



</script>

<!-- photos script-->

<!-- photos tags -cb-->
<div class="popup-container" id="popupContainer">
<i class="fa fa-times-circle close-button"  onclick="closePopup()" aria-hidden="true"></i>
 
  <i class="fa fa-arrow-circle-left nav-button" onclick="changeImage(-1)"aria-hidden="true"></i>
  <a href="<?= encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $model_chaturbate[($random_number_cb)]);?>">
     
  <img src="" title="<?=$model_chaturbate[$random_number_cb]['nickname']?> on <?=$model_chaturbate[$random_number_cb]['site']?>"alt="<?=$model_chaturbate[$random_number_cb]['nickname']?> free chat images" id="popupImage">
</a>
  <i class="fa fa-arrow-circle-right nav-button"  onclick="changeImage(1)" aria-hidden="true"></i>
</div>
<div class="gallery" id="gallery">
  <?php for ($i = $model_chaturbate[$random_number_cb]['numImages'] - 1; $i >= 0; $i--): ?>
    <?php $imagePath = $model_chaturbate[$random_number_cb]['imagePath'] . $i . ".webp"; ?>
    <img class="default-thumbnail" src="<?php echo $imagePath; ?>" alt="Image" onclick="showPopup('<?php echo $imagePath; ?>')">
  <?php endfor; ?>
</div>
 
<!-- photos tags-->




    
    </div>






      <playah class="rwd-media">
        <!-- Replace this with your actual Chaturbate embed code -->
        <?php
        $embed_model_chaturbate =  Avos\User\encodeChatEmbed($model_chaturbate[($random_number_cb)]);
        $embed_model_chaturbate = preg_replace('!(track=\w+\-embed)!', '$1-versus', $embed_model_chaturbate);
        echo $embed_model_chaturbate;
        ?>
      </playah>
      


    </div>
    <div class="versus" id="vsText">
      <span class="btn--shockwave is-active" onclick="location.reload();">
        <span id="textSwitch"></span>
      </span>
    </div>
    <div class="side robot" id="embedRobot">
   
    <script>
function toggleModal2() {
  var modal = document.getElementById('profileMe2');
  if (modal.style.display === 'block') {
    modal.style.display = 'none'; // Hide the modal
  } else {
    modal.style.display = 'block'; // Show the modal
  }
}
   </script>
    <div  class="modal fade" id="profileMe2"  style="display: none;">
    <div class="modal-dialog max-width-400px-98vw" role="document">
      <div class="modal-content">
        <div class="modal-header modal-header-flex">
          <span class="title">  <?=  $model_stripchat[$random_number_sc]['nickname']?> Profile</span>
          <i onclick="toggleModal2()"  class="fa fa-times-circle" aria-hidden="true"></i>
        </div>
        <div class="modal-body">


     
    <p><strong class="info-label">Name:</strong>  <span class="info-value"><?=  $model_stripchat[$random_number_sc]['nickname']?> </span></p>
    <p><strong class="info-label">Age:</strong>  <span class="info-value"><?=  $model_stripchat[$random_number_sc]['age']?> </p>

    <? if ($model_stripchat[$random_number_sc]['location'] != ''): ?>
    <p><strong class="info-label">Location:</strong> <span class="info-value"> <?=  $model_stripchat[$random_number_sc]['location']?> </span></p>
    <?endif;?>
     <? if ($model_stripchat[$random_number_sc]['viewers'] > 0): ?>
    <p><strong class="info-label">Viewers:</strong> <span class="info-value"> <?=  $model_stripchat[$random_number_sc]['viewers']?> </span></p>
<?endif;?>
<? if ($model_stripchat[$random_number_sc]['followers'] > 0): ?>
  <p><strong class="info-label">Followers:</strong> <span class="info-value"> <?=  $model_stripchat[$random_number_sc]['followers']?> </span></p>

<? endif; ?>
      </div>
      </div>
    </div>
  </div>

   
    <div class="mb5">

    <div class="pull-left">
      <a href="<?= encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $model_stripchat[($random_number_sc)]);?>" class="avatar avatar-small user-link text-description">
      <?//=$headerLogoUrl?>

    
  <img 
  src="<?= $model_stripchat[$random_number_sc]['imagePath'] . $model_stripchat[$random_number_sc]['numImages'] . '.webp'?>"
  onerror="this.src='<?=$headerLogoUrl?>'"
  alt="Stripchat Model Image"
>
        
        <?=  $model_stripchat[$random_number_sc]['nickname']?>
      </a>
      <span class="album-at hidden-xs" data-toggle="tooltip" title="" "> from <?=  $model_stripchat[$random_number_sc]['site']?> Watch her Freechat show
</span>

      <div class="ml10 inline-block hidden-xs">

      <span class="follow-buttons " >
          <a href="<?= encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $model_stripchat[($random_number_sc)]);?>"  target="_blank" class="text-description" title="<?=  $model_stripchat[$random_number_sc]['nickname']?> Profile Bio Page">
 <i class="fa fa-user-circle" aria-hidden="true"></i>

</a>
</span>&nbsp;
        <span class="follow-buttons " >
          <a  onclick="toggleModal2()"   class="text-description" title="<?=  $model_stripchat[$random_number_sc]['nickname']?> Profile Info">
  <i class="fa fa-bars" aria-hidden="true"></i>
</a>
          
        </span>&nbsp;
          <!--photos-->
    <span class="follow-buttons " >
          <a  onclick="showPopup_sc('<?php echo $model_stripchat[$random_number_sc]['imagePath'] . ($model_stripchat[$random_number_sc]['numImages'] - 1) . ".webp"; ?>')"   class="text-description" title="<?=  $model_stripchat[$random_number_sc]['nickname']?> images free chat">
  <i class="fa fa-picture-o" aria-hidden="true"></i>
</a>
          
        </span>
                <!--photos-->
      </div>
    </div><!--pull-left-->

<!-- photos tags sc-->
<div class="popup-container-sc" id="popupContainer-sc">
<i class="fa fa-times-circle close-button"  onclick="closePopup_sc()" aria-hidden="true"></i>
 
  <i class="fa fa-arrow-circle-left nav-button" onclick="changeImage_sc(-1)"aria-hidden="true"></i>
  <a href="<?= encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $model_stripchat[($random_number_sc)]);?>">
     
  <img src="" title="<?=$model_stripchat[$random_number_sc]['nickname']?> on <?=$model_stripchat[$random_number_sc]['site']?>"alt="<?=$model_stripchat[$random_number_sc]['nickname']?> free chat images" id="popupImage_sc">
</a>
  <i class="fa fa-arrow-circle-right nav-button"  onclick="changeImage_sc(1)" aria-hidden="true"></i>
</div>
<div class="gallery" id="gallery">
  <?php for ($i = $model_stripchat[$random_number_sc]['numImages'] - 1; $i >= 0; $i--): ?>
    <?php $imagePath = $model_stripchat[$random_number_sc]['imagePath'] . $i . ".webp"; ?>
    <img class="default-thumbnail-sc" src="<?php echo $imagePath; ?>" alt="Image" onclick="showPopup_sc('<?php echo $imagePath; ?>')">
  <?php endfor; ?>
</div>
 
<!-- photos tags sc-->
   


  </div>
      <playah class="rwd-media">
        <!-- Replace this with your actual Stripchat embed code -->
        <?php
        $embed_model_stripchat =  Avos\User\encodeChatEmbed($model_stripchat[($random_number_sc)]);
        $embed_model_stripchat = preg_replace('!(sourceId=\w+\-embed)!', '$1-versus', $embed_model_stripchat);
        echo $embed_model_stripchat;
        ?>
      </playah>
      
     
    </div>
  </div>
</div>











    <div id="votingButtons">
  <button id="voteButton1" class="btn btn-grey btn-rounded btn-sm adsone">
    
    <a href="" class="avatar avatar-small user-link text-description">
   <strong>
        Vote for <?= ucfirst($model_chaturbate[$random_number_cb]['nickname']) ?></strong> <!--from <?= ucfirst($model_chaturbate[$random_number_cb]['site']) ?>-->
    </a>
  </button>
  <button id="voteButton2" class="bbtn btn-grey btn-rounded btn-sm adsone">
    <a href="" class="avatar avatar-small user-link text-description">
      <strong>
        Vote for <?= ucfirst($model_stripchat[$random_number_sc]['nickname']) ?></strong><!-- from <?= ucfirst($model_stripchat[$random_number_sc]['site']) ?>-->
    </a>
  </button>
 
</div>


</div><!--miss fire some div's-->





<script>
    document.getElementById('voteButton1').addEventListener('click', function (event) {
        // Assuming vote() is your voting function, and you pass the winning status (true/false) as a second argument
        vote(1, isWinning);
    });

    document.getElementById('voteButton2').addEventListener('click', function (event) {
        // Assuming vote() is your voting function, and you pass the winning status (true/false) as a second argument
        vote(2, isWinning);
    });

    // Assuming you have a variable to track if the user wins or not (true or false)
    // For example: isWinning = true; // If the user wins
    // If the user wins, hide the original embed container and display the new-winning-embed
    if (isWinning) {
        document.getElementById('originalEmbedContainer').style.display = 'none';
        document.getElementById('newWinningEmbedContainer').style.display = 'block';
    }
</script>






<script>
document.getElementById('voteButton1').addEventListener('click', function (event) {
  vote(1, event);
});

document.getElementById('voteButton2').addEventListener('click', function (event) {
  vote(2, event);
});


</script>


    
<div class="container-thing container-thing-v2">
    <div id="winnerInfo"></div>
   
    <div id="result"></div>

</div>



</div><!--content-yield-container-->



<!-- New embed container (to be shown if the user wins) -->
<div id="newWinningEmbedContainer" class="new-winning-embed" style="display: none;">
<!-- Add the new button to the winning display -->

<center style="margin-bottom: 10px;">

<button class="btn btn-grey btn-rounded btn-sm adsone" id="resetNewFilters" onclick="resetPage()">The Voting Party Continues - Join the Fun!</button>

<script>
function resetPage() {
  window.location.reload(); // Reload the page
}
</script>


</center>

 

<script>
  // Function to start a new vote
  function startNewVote() {
    // Reset the voting variables
    userWins = false;
    votes = [0, 0];
    totalVotes = 0;
    userVote = 0;

    // Reset the display to show the voting options again
    document.getElementById('newWinningDisplay').style.display = 'none';
    document.getElementById('embedContainer').style.display = 'block';
  }
</script>
    <?$addClass = 'w-full';?>
<cinema class="<? if ($cinema < 1): ?><? $addClass = 'w-medium'; ?><? endif; ?><?=$addClass; ?>">
    <div class="cinema-col-left" >
  <div class="cinema-album-container" style="overflow:hidden;">
<div class="album-container" id="album-data">
  <div class="piece-list">
<div class="piece-container" id="d3c2ijxx" data-index="0" data-width="1280" data-height="720" data-type="Video">
  <div class="piece-mfcs piece-well item piece-Video">
    <div class="black-bg" style="position:relative; overflow:hidden;">
        <playah class="rwd-media" id="newWinningEmbedPlayer">


         here is the winning embed!!!

</playah>
    </div>
  </div>
</div>
</div>
<!--piece-list-->
</div><!--album-container-->
</div>
</div>
</cinema>
</div>




<?php
// Assuming $model_stripchat[$random_number_sc]['tags'] and $model_chaturbate[$random_number_cb]['tags'] are arrays

$tags_chaturbate = $model_chaturbate[$random_number_cb]['tags'];
$tags_stripchat = $model_stripchat[$random_number_sc]['tags'];

// Combine and explode the tags string to get individual tags
$combined_tags = array_merge((array)$tags_chaturbate, (array)$tags_stripchat);
$individual_tags = explode(',', implode(',', $combined_tags));
?>

<?php if (!empty($individual_tags)) : ?>
  <div class="tag-cloud hidden-xs">
    <?php foreach ($individual_tags as $tag) : ?>
      <?php
      $fontSize = rand(11, 18); // Random font size for each tag
      ?>
      <a style="font-size: <?= $fontSize ?>px; " href="<?= $searchUrl ?>kw=<?= $tag ?>"  title="webcams categories"><?= $tag ?></a>
    <?php endforeach; ?>
  </div>
<?php else : ?>
  <p>No tags available.</p>
<?php endif; ?>









                <a style="font-size: <?= rand(15, 35);?>px;color:black;" href="<?= $searchUrl ?>kw=<?= $kw ?>"   data-weight="<?=$data['weight']?>" title="webcams categories"><?//= $tagsChaturbate ?></a>
 
              </div>
  

            


<div id="content-yield-container" >
        <div class="alert-container row"></div>
  <div class="row thing-box-container">
<div id="infinite-content">
      <div class="infinite-page clearfix " style="margin: 15px 26px 20px!important;">


<? foreach ($modelversus as $m): if (empty($m['blocked']) || !in_array($usersCountry, $m['blocked'])): ?>
  

  <div class="box album with-username loaded" data-site="<?= $m['site'] ?>" data-nickname="<?= $m['nickname'] ?>" data-featured="<?= !empty($m['featured']) ? 1 : 0 ?>">
    <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>" class="media-container">
      <span class="marquee album-title album-title-bottom">
        <span><?= $m['status'] ?></span>
      </span>
    <div class="indicators-top-right flex">
  <? if (gmdate("d",$m['addedOn']) < '14') :?>
        <span><img class="newmodels" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_new" class="avatar" alt="newmodel <?= $m['nickname'] ?> ">
  </span>
    <?endif;?>
    </div>
      <img src="<?= ($m['numImages'] > 0 && empty($useLiveImages)) ? $m['imagePath'] . $m['numImages'] . '.webp' : $m['imageUrl'] ?>" class="default-thumbnail" title="" alt="<?= $m['nickname'] ?> from <?= $m['site'] ?> is <?= $m['status'] ?>">
   <? if ($m['hd'] == '0'):?>
          <img class="hdQualityplus" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_hd_plus"  class="avatar"  alt="Hd chat cam  from<?= $m['nickname'] ?> ">
  <?endif;?>
  <? if ($m['hd'] == '1'):?>
         <img class="hdQuality" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_hd"  class="avatar"  alt="hd cam  <?= $m['nickname'] ?> ">
  
  <?endif;?>
  <? if (strpos( $m['tags'], 'mobile') !== false) :?>
         <img class="phoneQuality" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_mobile"  class="avatar" alt="mobile cam show with  <?= $m['nickname'] ?> ">
  <?endif;?>
  <?if (strpos( $m['tags'], 'lovense') !== false) :?>
  <img class="lovense" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_vibratoy"  class="avatar" alt="have fun with <?= $m['nickname'] ?> and her toys ">
  <?endif;?>
    </a>
    <div style="clear:both;"></div>
    <div class="album-list-public-user-info">
      <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>">
        <span class="avatar-status-container">
  
          <img src="<?= $m['imagePath'] ?><?= $m['numImages'] ?>.webp" width="30" height="30" class="avatar" loading="lazy" alt="Naked Room <?= $m['nickname'] ?> ">
  </span>
  <span><?= $m['nickname'] ?></span>
      </a>
      <? if ($useNicknamePage > 0): ?>
 <a href="<?= encodeUrl('webcamsNickname', $m) ?>">
  .
  </a>
  <? endif;?>
      <span class="follow-buttons pull-right" >
     <button  class="btn btn-grey btn-sm follow-button" title="Follow <?= $m['nickname'] ?>">
  <?if( $m['gender'] == 'Couple'): ?>
  <? $m['gender'] = '<i class="fa fa-venus-mars" aria-hidden="true"></i>';?>
  <?endif;?>
  <?if ($m['gender'] == 'Female'):?>
  <? $m['gender'] = '<i class="fa fa-venus" aria-hidden="true"></i>';?>
  <?endif;?>
  <?if( $m['gender'] == 'Male'): ?>
  <? $m['gender'] = '<i class="fa fa-male" aria-hidden="true"></i>';?>
  <?endif;?>
  <?if( $m['gender'] == 'Trans'): ?>
  <? $m['gender'] = '<i class="fa fa-transgender-alt" aria-hidden="true"></i>';?>
  <?endif;?>
  <?=$m['gender']?>
  </button>
    </span>
      <div style="clear:both;"></div>
    </div>
  </div>
  
  
    <?endif;?>
  <? endforeach;?>
    </div>
  </div>
  </div>
      </div>
     
  











      <script>




var votes = [0, 0]; // Array to store the vote counts
var totalVotes = 0; // Variable to store the total number of votes
var endTime = new Date().getTime() + (1 * 60 * 1000); // Set end time to 5 minutes from now

// Add this line at the beginning of your script to set the initial value of userVoteDisplay to an empty string
var userVoteDisplay = document.getElementById("userVoteDisplay");

// Add this line to track the timeout for removing the user's vote message
var userVoteTimeout;

var nickname_sc = "<?= ucfirst($model_chaturbate[$random_number_cb]['nickname']) ?>"; // Replace with the desired nickname for Option 1
var nickname_cb = "<?= ucfirst($model_stripchat[$random_number_sc]['nickname']) ?>"; // Replace with the desired nickname for Option 2
var site_sc = "<?= ucfirst($model_chaturbate[$random_number_cb]['site']) ?>"; // Replace with the desired site name for Option 1
var site_cb = "<?= ucfirst($model_stripchat[$random_number_sc]['site']) ?>"; // Replace with the desired site name for Option 2
var userVote = "";

// Function to display the user's vote
function displayUserVote(option) {
  var votedNickname = option === 1 ? nickname_sc : nickname_cb;

  // Set the content and style of the vote message
  userVoteDisplay.textContent = "You voted for " + votedNickname;
  userVoteDisplay.style.padding = "120px";
  userVoteDisplay.style.backgroundColor = "#4CAF50";
  userVoteDisplay.style.color = "red";
  userVoteDisplay.style.fontWeight = "bold";
  userVoteDisplay.style.borderRadius = "5px";

  // Set a timeout to remove the vote message after 1 minute
  clearTimeout(userVoteTimeout);
  userVoteTimeout = setTimeout(function () {
    userVoteDisplay.textContent = ""; // Clear the vote message after 1 minute
  }, 60000); // 60000 milliseconds = 1 minute
}

function updateButtons(selectedOption) {
  var buttons = document.querySelectorAll("#votingButtons button");
  buttons.forEach(function (button, index) {
    if (index + 1 === selectedOption) {
      button.innerHTML = '<i class="fa fa-thumbs-o-up" aria-hidden="true"></i> Voted! ' + (selectedOption === 1 ? nickname_sc : nickname_cb);
      button.classList.add("voted");
    } else {
      button.innerHTML = '<i class="fa fa-thumbs-o-down" aria-hidden="true"></i> Vote for ' + (index + 1 === 1 ? nickname_sc : nickname_cb);
      button.classList.remove("voted");
    }
  });
}

var fictiveUsers = [
  "Ax3l", "Blaz3", "Cruz!", "D4nte", "E1ijah", "Felix", "G1d3on", "H3ndrix", "J4xon", "Kai_",
  "L4ndon", "Maddox", "N1co", "Or1on", "Ph0en1x", "Ryd3r", "S1las", "T1tus", "X4nd3r", "Z4ne",
  "4ce", "B3ck3tt", "C4sh", "D4x_", "Enzo", "Fox", "Gr1ffin", "Hunt3r", "J3tt", "Knox!",
  "Luk4", "M1lo", "N4sh", "Orlando", "P4xton", "Rex_", "Slad3", "Thorn3", "V1ggo", "W1lder"
]; // User names for auto voting

function getRandomUserName() {
  return fictiveUsers[Math.floor(Math.random() * fictiveUsers.length)];
}

var autoVoteInterval = setInterval(autoVote, 1000); // Start auto voting every second

// Function for auto voting...
function autoVote() {
  var optionWithMostVotes = votes.indexOf(Math.max(...votes)) + 1;
  var optionWithFewerVotes = votes.indexOf(Math.min(...votes)) + 1;

  // Generate a random number to decide if auto voting should change its vote
  var randomChance = Math.random();

  // If the randomChance is greater than 0.7 (70%), auto voting will change its vote
  if (randomChance > 0.7) {
    // Generate a random option to vote for
    var randomOption = optionWithMostVotes === 1 ? 2 : 1;

    // Generate a unique fictive user name
    var userName = getRandomUserName();

    // Generate random number of votes between 1 and 10 for the new option
    var votesForOption = Math.floor(Math.random() * 10) + 1;

    // Vote for the new option
    for (var i = 0; i < votesForOption; i++) {
      votes[randomOption - 1]++;
      totalVotes++;
      displayResults(); // Display results after each vote
    }

    // Display the fictive user name and the number of votes for the new option
    var message = userName + " voted " + votesForOption + " times for " + (randomOption === 1 ? nickname_sc : nickname_cb);
    console.log(message);
  } else {
    // Generate a unique fictive user name
    var userName = getRandomUserName();

    // Generate random number of votes between 1 and 10 for the option with fewer votes
    var votesForOption = Math.floor(Math.random() * 10) + 1;

    // Vote for the option with fewer votes
    for (var i = 0; i < votesForOption; i++) {
      votes[optionWithFewerVotes - 1]++;
      totalVotes++;
      displayResults(); // Display results after each vote
    }

    // Display the fictive user name and the number of votes for the option with fewer votes
    var message = userName + " voted " + votesForOption + " times for " + (optionWithFewerVotes === 1 ? nickname_sc : nickname_cb);
    console.log(message);
  }
}


function displayResults() {
  var result = document.getElementById("result");
  var maxVotes = Math.max.apply(null, votes);
  var winningOption = votes.indexOf(maxVotes) + 1;

  if (maxVotes === 0) {
    result.innerHTML = ""; // Hide the result if no votes have been cast
  } else {
    var autoVoteData = "";
    if (totalVotes > 0 && votes[0] !== votes[1]) {
      var randomUserName = getRandomUserName();
      autoVoteData = randomUserName + " voted for " + (winningOption === 1 ? nickname_sc : nickname_cb) + "</p>";
    }

    // Append the countdown timer and other result information
    result.innerHTML = '<p id="countdown"></p>' +
                       '<div class="highlight-area things-section">' +
                       '<div class="well text-things-index xs-undo-side-padding mt5">' +
                       '<div class="row mt5">' +
                       '<div class="col-xs-12 col-sm-7">' +

                       (userVote ? '<p class="p-small text-description">You voted for ' + (userVote === 1 ? nickname_sc : nickname_cb) + ' - ' + (userVote === 1 ? site_sc : site_cb) + '</p>' : '') + // Display the user's vote
                       '<p class="p-small text-description"><a class="text-description" href=""><b>' + (winningOption === 1 ? nickname_sc : nickname_cb) + '</b></a> from <b>' + (winningOption === 1 ? site_sc : site_cb) + '</b> is about to win </p>' +
                       '<p class="p-small text-description"><a class="text-description" href="">Total Votes:</a> <b> ' + totalVotes + '</b></p>' + // Display the total vote count
                       '<p class="p-small text-description"><a class="text-description" href=""></a> ' + (winningOption === 1 ? nickname_sc : nickname_cb) + ' Votes: <b>' + votes[0] + '</b></p>' + // Display the vote count for Option 1
                       '<p class="p-small text-description"><a class="text-description" href=""></a> ' + (winningOption === 2 ? nickname_sc : nickname_cb) + ' Votes: <b>' + votes[1] + '</b></p>' + // Display the vote count for Option 2
                       '<p class="p-small text-description" id="autoVoteResult"></p>' +
                       autoVoteData + // Display the auto voting data
                       '</div>' +
                       '</div>' + 
                       '<div style="clear:both;"></div>' +
                       '</div>' +
                       '</div>';

  }
}



var timerInterval = setInterval(updateTimer, 1000); // Update timer every second

function updateTimer() {
  var currentTime = new Date().getTime();
  var remainingTime = endTime - currentTime;

  var minutes = Math.floor((remainingTime % (1000 * 60 * 60)) / (1000 * 60));
  var seconds = Math.floor((remainingTime % (1000 * 60)) / 1000);

  var countdownTimer = document.getElementById("countdown");
  countdownTimer.textContent = "Time Remaining for Vote: " + minutes + "m " + seconds + "s";

  if (remainingTime <= 0) {
    clearInterval(timerInterval);
    countdownTimer.textContent = "Voting has ended.";
    displayResults();
    var buttons = document.querySelectorAll("#votingButtons button");
    buttons.forEach(function (button) {
      button.disabled = true;
    });

    // Show the winner message after the timer interval ends
    showWinner();
  }
}










function vote(option, event) {
  event.preventDefault(); // Prevent the default behavior of the button click

  if (new Date().getTime() > endTime) {
    alert("Voting has ended.");
    return;
  }

  // Perform the voting logic here
  votes[option - 1]++;
  totalVotes++; // Increment the total vote count
  userVote = option; // Store the user's selected vote option
  updateButtons(option); // Update the voting buttons display
  displayResults(); // Display results after voting

  // Check if the user's selected option wins
  if (!userWins && votes[userVote - 1] > votes[userVote === 1 ? 1 : 0]) {
    userWins = true;
    // Hide the original embed container and display the winning embed container
    document.getElementById('embedContainer').style.display = 'none';
    document.getElementById('newWinningEmbedContainer').style.display = 'block';

    // Hide the voting buttons
    document.getElementById('votingButtons').style.display = 'none';
  }

  // Display the user's vote
  displayUserVote(option);
}



/*
var userWins = false; // Variable to track if the user's voted option wins
var countdown;

function vote(option, event) {
  event.preventDefault(); // Prevent the default behavior of the button click

  if (new Date().getTime() > endTime) {
    alert("Voting has ended.");
    return;
  }

  // Check if the user has already voted and won
  if (userWins) {
    // Show the custom popup
    var popup = document.getElementById("customPopup");
    popup.style.display = "block";

    // Start the countdown timer
    var timeLeft = 5;
    var countdownTimer = document.getElementById("countdownTimer");
    countdown = setInterval(function () {
      countdownTimer.innerHTML = "You can vote again in " + timeLeft + " seconds.";
      timeLeft--;

      if (timeLeft < 0) {
        clearInterval(countdown);
        countdownTimer.innerHTML = "";
        popup.style.display = "none";
      }
    }, 1000);

    return;
  }

  // Perform the voting logic here
  votes[option - 1]++;
  totalVotes++; // Increment the total vote count
  userVote = option; // Store the user's selected vote option
  updateButtons(option); // Update the voting buttons display
  displayResults(); // Display results after voting

  // Check if the user's selected option wins
  if (!userWins && votes[userVote - 1] > votes[userVote === 1 ? 1 : 0]) {
    userWins = true;
    // Hide the original embed container and display the winning embed container
    document.getElementById('embedContainer').style.display = 'none';
    document.getElementById('newWinningEmbedContainer').style.display = 'block';

    // Hide the voting buttons
    document.getElementById('votingButtons').style.display = 'none';
  }

  // Display the user's vote
  displayUserVote(option);
}

// Function to reset the voting state after the countdown is over
function resetVotingState() {
  userWins = false;

  // Show the original embed container and hide the winning embed container
  document.getElementById('embedContainer').style.display = 'block';
  document.getElementById('newWinningEmbedContainer').style.display = 'none';

  // Show the voting buttons again
  document.getElementById('votingButtons').style.display = 'block';
}*/





function showWinner() {
  clearInterval(autoVoteInterval);

  var result = document.getElementById("result");
  var maxVotes = Math.max.apply(null, votes);
  var winningOption = votes.indexOf(maxVotes) + 1;

  var winnerInfo = document.createElement("p");
  var popup = document.createElement("div");
  popup.classList.add("popup");

  if (userVote && votes[userVote - 1] === maxVotes) {
    // If the user voted for the winning option, show the "you win" message
    winnerInfo.textContent = "Woot woot! You came out on top!";
    // Hide the original embed container
    document.getElementById("originalEmbedContainer").style.display = "none";
    // Display the new winning embed container
    document.getElementById("newWinningEmbedContainer").style.display = "block";

    // Determine which embed to show based on the winning option
    
    var winningEmbed;
    if (winningOption === 1) {
      // Chaturbate is the winning option
      <?php
        $embed_model_chaturbate =  Avos\User\encodeChatEmbed($model_chaturbate[($random_number_cb)]);
        $embed_model_chaturbate = preg_replace('!(track=\w+\-embed)!', '$1-offline', $embed_model_chaturbate);
        echo "winningEmbed = '" . addslashes($embed_model_chaturbate) . "';";
      ?>
   
    } else if (winningOption === 2) {
      // StripChat is the winning option
      <?php
        $embed_model_stripchat =  Avos\User\encodeChatEmbed($model_stripchat[($random_number_sc)]);
        $embed_model_stripchat = preg_replace('!(track=\w+\-embed)!', '$1-offline', $embed_model_stripchat);
        echo "winningEmbed = '" . addslashes($embed_model_stripchat) . "';";
      ?>
    }

    // Show the winning embed inside the newWinningEmbedContainer
    document.getElementById("newWinningEmbedPlayer").innerHTML = winningEmbed;
  } else if (userVote) {
    // If the user voted but didn't win, show the "ops! you missed" message
    winnerInfo.textContent = "Oopsie daisy! Looks like you missed. Don't worry, keep trying!";
  } else {
    // If the user didn't vote, show the "no vote" message
    winnerInfo.textContent = "Uh-oh! . Try again later!";
  }

  // Append the name of the winning option and the number of votes to the winnerInfo message
  winnerInfo.textContent += " " + (winningOption === 1 ? nickname_sc : nickname_cb) + " from " + (winningOption === 1 ? site_sc : site_cb) + " with " + maxVotes + " votes";

  var closeButton = createButton("Showtime", function () {
    popup.style.display = "none";
  });

  var newVoteButton = createButton("New Vote", function () {
    popup.style.display = "none";
    startNewVoteSession();
  });

  popup.appendChild(winnerInfo);
  popup.appendChild(newVoteButton); // Add the "Start a New Vote" button to the popup

  if (userVote && votes[userVote - 1] === maxVotes) {
    popup.appendChild(closeButton);
  }

  document.body.appendChild(popup);

  result.innerHTML = ""; // Clear the result display
  popup.style.display = "block";
}






function createButton(text, clickHandler) {
  var button = document.createElement("button");
  button.textContent = text;
  button.addEventListener("click", clickHandler);
  return button;
}

function startNewVoteSession() {
  // Perform any additional tasks you need before reloading the page here
  
  // Reload the page to start a new session and load new models
  location.reload();
}


</script>
