<?
include('bootstrap.php');

$verbose = isset($argv[1]) ? 1 : 0;
$max = getConfig('webcams', 'maxImages', 30);

$start = time();

$models = \Avos\Database\queryAssoc('SELECT id, nickname, numImages, site FROM webcamsArchive');
$total = count($models);

foreach ($models as $m) {
    \Avos\Cron\verify_photos($m, $max, $verbose);
}

$elapsed = (int)((time() - $start) / 60);
echo "took $elapsed minutes\n";

