<div class="flex-1 pb-6 lg:ml-64 pt-20 px-2 lg:px-4 xl:px-6  lg:mr-16  flex justify-center">
	<div class="max-w-screen-lg mx-auto prose-sm text-white" id="privacy">
		<h1 aria-describedby="xIaw" tabindex="-1" class="font-sans text-4xl font-extrabold text-white" style="overflow-wrap: break-word;">Privacy Policy</h1>
		<div class="mt-5 p-4 md:px-6 rounded-md w-full sm:min-h-0 sm:w-auto sm:h-auto grid grid-cols-1 grid-rows-modal-layout gap-0 relative bg-gradient-to-br from-white/30 to-white/5 border-r border-b border-white/1 min-h-fit">
			<!----> 
			<!---->
			<h2 class="!mt-0">1. Explanation</h2>
			<p>This Privacy Policy is based on article 13 of the General Data Protection Regulation and contains the rights and obligations of the undertaking regarding the external parties whose personal data is processed, mainly in the context of online sales and marketing of goods and services.</p>
			<h2>2. Privacy Policy</h2>
			<p>This is the Privacy and Cookie Policy of AwSex BV, with registered offices at Walemstraat 95, 2860 Sint-Katelijne-Waver, Belgium and registered at the CBE with number 0669.751.742 (hereinafter “COMPANY” or “AwSex”).</p>
			<p>Please read this Privacy Policy carefully, because it contains essential information about how your personal data is processed and which cookies are used. By using the website, accessible through the following link <a href=""></a> and <a href=""></a> (hereinafter: “the Website”); by contacting us by mail/phone, by subscribing for our newsletter, you declare that you have read this Privacy Policy and that you expressly agree to its content as well as to the processing itself.</p>
			<h2>Article 1 – General terms</h2>
			<p>1.1 AwSex is compliant and further complies with this Privacy Policy to the European Regulation 2016/679 of 27 April 2016 on the protection of personal data. (hereinafter “GDPR”).</p>
			<p>1.2 AwSex is the data controller who determines the purposes and the means of the processing.</p>
			<h2>Article 2 – The data that we process about you</h2>
			<p>2.1. In the context of its activities, AwSex processes (collects, stores, uses) your Personal Data. This concerns:</p>
			<p><b>Category 1</b> - based on cookies: your IP address, the browser type and version and details about your visit to our Website such as: (surfing behaviour, the data and time you visit the website, the amount of time spent using the website, the number of times you visit the website);</p>
			<p><b>Category 2</b> - on visiting the Website and using our services: your IP address, your date of birth (age 18+), your activity on our site, browser type and version, time zone and language setting and location;</p>
			<p><b>Category 3</b> - by registration or through one of the forms on our Website: your name, date of birth, address, e-mail address, payment card details, IP address, profile name, password, login details and (if applicable) your profile picture;</p>
			<p><b>Category 4</b> - when subscribing to our newsletter: your email address;</p>
			<p><b>Category 5</b> - when purchasing a service: your name, date of birth, email address, payment card details; </p>
			<p><b>Category 6</b> - when using our Website and services: special category of data: sexual orientation or preferences.</p>
			<p>2.2.AwSex can obtain your personal data through different means:
				<br> a. by visiting the website without logging in or registering and using our services;
				<br> b. by registration on the Website (creating an account) or one of the forms on our Website;
				<br> c. by placing cookies and similar technologies on your device. More information on the use of cookies and similar techniques can be found in article 9.</p>
			<h2>Article 3 – The purposes of why we process your personal data</h2>
			<p>3.1. General purposes:</p>
			<p> AwSex will use the obtained personal data solely for the purposes mentioned below: </p>
			<p><b>Category 1</b>: to maintain and improve our Website and the inclusion of Personal Data in anonymous statistics, from which the identity of the specific person cannot be traced, with your explicit, prior consent on your first visit to our Website as a lawful ground;</p>
			<p><b>Category 2</b>: to verify your age (18+) and present our Website and its content to you, to provide information to you, services that you request, based on the legal obligation and performance of a contract requested by you;</p>
			<p><b>Category 3</b>: to manage your account on our Website, based on the performance of a contract requested by you;</p>
			<p><b>Category 3 and 4</b>: direct marketing, newsletters, promotions and offers by AwSex itself, on the basis of our legitimate interest with regard to existing customers or your explicit, prior consent if you are not yet a customer of AwSex. You can indicate at any time that you no longer wish to receive our newsletters through the opt-out option in our newsletters or by contacting us directly by mail or telephone;</p>
			<p><b>Category 5</b>: to deliver and invoice services ordered by you, with the performance of a contract that you have requested as a lawful ground and for which the processing of your Personal Data is necessary based on a legal obligation or based on the legitimate interest of AwSex;</p>
			<p><b>Category 6</b>: to provide some of our services to you only when you have given your prior explicit consent. Sexual preferences belong to sensitive data for which we maintain high technology security standards.</p>
			<p> You are not obliged to provide us with your personal data, however you must understand that the delivery of certain services is not possible in case you refuse to provide us with certain personal data. </p>
			<p>On rare occasions, AwSex may be required to disclose your Personal Data in order to comply with a court order or other mandatory laws or regulations. AwSex will reasonably endeavour to inform you of this in advance, unless it is subject to legal restrictions.</p>
			<h2>Article 4 – Disclosure of your personal data with third parties</h2>
			<p>In case of whole or partial reorganization or cession of AwSex’s activities, whereby AwSex reorganizes, transfers, ceases her business activity or in case the enterprise goes bankrupt, your personal data may be transferred to new entities or third parties.</p>
			<p>AwSex will try, if reasonably possible, to inform you upfront in case it transfers your personal data to a third person. You must be aware that this is not always technically possible nor commercially.</p>
			<p>AwSex will not sell, retain, hand out your personal data nor place them at disposal of third parties, except in the situations provided for in this policy or unless your explicit and prior consent.</p>
			<p>AwSex may transfer or disclose personal data to its employees, independent contractors and to countries outside the European Economic Area. We will ensure that the information transferred is in accordance with this privacy policy. The independent contractors are certified by the EU-US Privacy Shield (Digitalocean, Amazon AWS).</p>
			<h2>Article 5 – The period we retain your personal data</h2>
			<p>We will store and process your personal data during the period necessary depending on the purposes of the processing as well as depending on the contractual relationship between you and AwSex. At any time you can request AwSex to delete your personal data.</p>
			<p>Your personal data will be stored and processed for the use of our services and the maintenance of your customer account. If you delete your account, some data will be stored to comply with legal obligations such as information for tax, accounting and auditing obligations. Financial information shall be kept for a period of 10 years.</p>
			<p>Sensitive data will only be retained 1 month after your last visit to the Website.</p>
			<p>If you have a question about the retention period of personal data, you can contact us through several ways (see article 6.6. privacy policy).</p>
			<h2>Article 6 – Your rights</h2>
			<p>6.1. Access right and right to obtain a copy:</p>
			<p>You have the right to freely obtain at any moment access to your personal data, as well as to be informed about the purpose of the processing by AwSex.</p>
			<p>6.2. Right to correct, delete and restrict:</p>
			<p>You have the choice to share your personal data with AwSex. You also have the right to request AwSex to correct, delete or complement your personal data. You acknowledge that a refusal to share data or a request to delete these data will make the delivery of certain services and/or products impossible.&lt;</p>
			<p>You can also request the processing of your personal data to be restricted.</p>
			<p>6.3. Right to object:</p>
			<p>You have the right to object to the processing of your personal data at any time when you have serious and legitimate reasons to do so.</p>
			<p>You also have the right to object at any time to the use of your personal data for direct marketing purposes. In such case specific reasoning will not be required.</p>
			<p>6.4. Right to data portability:</p>
			<p>You have the right to receive your personal data, which you have provided to the controller, in a structured, commonly used and machine-readable format and/or have the right to transfer this data to another data controller.</p>
			<p>6.5. Right to withdraw consent</p>
			<p>When the processing is based on prior consent, you have the right to withdraw this consent.</p>
			<p>6.6. Exercise of rights:</p>
			<p>You can exercise your rights by contacting us by email legal@aw-sex.com or through the button ‘Contact us’ on the Website, with inclusion of your ID.</p>
			<p>6.7. Automated decision-making and profiling:</p>
			<p>You shall have the right not to be subject to a decision based solely on automated processing of your personal data, including profiling.</p>
			<p>6.8. Right to file a complaint:</p>
			<p>You have the right to file a complaint with the Belgian Data Protection Authority (“Gegevensbeschermingsautoriteit”):</p>
			<p>Drukpersstraat 35 1000 Brussel Tel +32 (0)2 274 48 00 Fax +32 (0)2 274 48 35</p>
			<p>This does not affect a provision before the civil court. If you have suffered damages caused by the processing of your personal data you can file a claim for damages.</p>
			<h2>Article 7 – How we secure your personal data</h2>
			<p>7.1. We have adopted safety measures which are suited on both a technical and an organizational level to avoid the destruction, the loss, the forgery, the adjustment, the non-authorized access or the notification of the personal data by accident to a third party, as well as the non-authorized processing of these data.</p>
			<p>7.2. AwSex shall not be liable in any way for direct or indirect damages caused by a wrongful or improper use of the personal data by a third party.</p>
			<p>7.3. At all times you shall comply with safety standards, for instance by avoiding all non-authorized access to your login and access code. You are solely responsible for the use of the Website on your computer, IP-address and identification data, as well as for the confidentiality.</p>
			<h2>Article 8 – Who has access to your personal data</h2>
			<p>8.1. In order to process your personal data we provide access to your personal data to our employees and individual contractors, such as DigitalOcean, Amazon AWS, Cloudflare CDN, Zendesk.</p>
			<p>8.2. We guarantee a similar level of protection by imposing contractual obligations to our employees that are similar to this Privacy Policy.</p>
			<h2>Article 9 – Cookies</h2>
			<p>Our Website uses cookies and similar technologies. This helps us to provide you with a better user experience when you visit our Website and also allows us to optimize our Website. Without your prior consent, we only place the purely functional cookies that are necessary for our Website to function correctly. For all other cookies, we first ask for your consent.</p>
			<p>The cookie list below gives you an overview of the cookies that our Website uses.</p>
			<h2>Cookie list</h2>
			<p>A cookie is a small text file containing data that a website (when a user visits it) wants to store on your device in order to remember information about you, such as your language preference or login information. These cookies are set by us and are called internal cookies. We also use external cookies, i.e. cookies from a different domain than where you are located. We use cookies and other tracking technologies for the following purposes:</p>
			<h3>Strictly necessary cookies</h3>
			<p>These cookies do not store any personally identifiable information, but are necessary for the operation of our Website and cannot be disabled for that reason. In most cases, these cookies are only used when you request a service, for example, to register your privacy settings, login to our Website or fill out a form. You can set your browser to block these cookies or to warn you about them, but some parts of our Website will then not work.</p>

		</div>
	</div>
</div>
