<div class="content">
<div class="top-placement">

</div>
<div class="page-content">


<title><?= $sitename ?> - Terms & Conditions</title>
    <style>
       
        .content {
            max-width: 100%;
            margin: 20px auto;
            padding: 20px;
            background: #fff;
            min-height: 600px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        .top-placement {
            text-align: center;
            margin-bottom: 20px;
        }
       
        .page-content {
            background: #fff;
            padding: 20px;
        }
      
     
        .contact-button {
            display: inline-block;
            background-color: #007bff;
            color: #fff;
            padding: 10px 20px;
            border-radius: 4px;
            text-decoration: none;
            font-weight: bold;
            margin-top: 20px;
        }
        .contact-button:hover {
            background-color: #0056b3;
        }
    </style>
<div class="content">
    <div class="top-placement">
        <div class="tabsItems">Terms & Conditions</div>
    </div>
    <div class="page-content">
        <h1>Terms & Conditions</h1>
        
        <p><strong>1. ACCEPTANCE OF TERMS</strong></p>
        <p>By accessing or using the <strong><?= strtolower($sitename) ?></strong> website (including all related websites, content, services, and tools), you agree to comply with and be bound by these Terms & Conditions (the "Agreement"). If you do not agree to these terms, you must not use the website.</p>
        
        <p><strong>2. MODIFICATIONS TO TERMS</strong></p>
        <p><strong><?= strtolower($sitename) ?></strong> reserves the right to modify or replace these Terms & Conditions at any time. Changes will be effective immediately upon posting on the website. Your continued use of the website after any changes constitutes acceptance of the new terms.</p>

        <p><strong>3. DESCRIPTION OF SERVICES</strong></p>
        <p>The <strong><?= strtolower($sitename) ?></strong> website provides a platform for users to upload, share, and view various types of content, including but not limited to sexually explicit material. The website may also contain links to third-party sites that are not owned or controlled by <strong><?= strtolower($sitename) ?></strong>. We do not endorse or take responsibility for the content or practices of these third-party sites.</p>

        <p><strong>4. USER ELIGIBILITY</strong></p>
        <p>You must be at least eighteen (18) years old or the age of majority in your jurisdiction to use this website. By using this website, you represent and warrant that you meet this age requirement.</p>

        <p><strong>5. USER CONDUCT</strong></p>
        <p>When using the website, you agree to adhere to the following conduct guidelines:</p>
        <ul>
            <li>Do not post or transmit content that is illegal, obscene, defamatory, or infringing upon the rights of others.</li>
            <li>Do not upload, post, or share content that contains viruses or harmful code.</li>
            <li>Do not impersonate others or provide false information.</li>
            <li>Do not use the website for any unlawful or prohibited activities.</li>
        </ul>

        <p><strong>6. INTELLECTUAL PROPERTY</strong></p>
        <p>All content and materials on the website, including but not limited to text, graphics, logos, images, and software, are the property of <strong><?= strtolower($sitename) ?></strong> or its licensors and are protected by copyright, trademark, and other intellectual property laws. Unauthorized use or reproduction of these materials is prohibited.</p>

        <p><strong>7. USER SUBMISSIONS</strong></p>
        <p>By submitting content to the website, you grant <strong><?= strtolower($sitename) ?></strong> a worldwide, non-exclusive, royalty-free license to use, reproduce, modify, publish, and distribute your submissions in connection with the website. You represent that you have the rights to grant this license and that your submissions do not violate any third-party rights.</p>

        <p><strong>8. ACCOUNT TERMINATION</strong></p>
        <p><strong><?= strtolower($sitename) ?></strong> reserves the right to terminate or suspend your account and access to the website at its discretion, particularly in the event of a breach of these Terms & Conditions. Upon termination, your right to use the website will immediately cease.</p>

        <p><strong>9. DISCLAIMER OF WARRANTIES</strong></p>
        <p>The website is provided "as is" and "as available" without warranties of any kind. <strong><?= strtolower($sitename) ?></strong> makes no representations or warranties regarding the accuracy, reliability, or availability of the website or its content. Your use of the website is at your own risk.</p>

        <p><strong>10. LIMITATION OF LIABILITY</strong></p>
        <p>To the maximum extent permitted by law, <strong><?= strtolower($sitename) ?></strong> shall not be liable for any indirect, incidental, consequential, or punitive damages arising from or related to your use of the website or its content.</p>

        <p><strong>11. INDEMNIFICATION</strong></p>
        <p>You agree to indemnify and hold harmless <strong><?= strtolower($sitename) ?></strong> and its affiliates, officers, directors, employees, and agents from any claims, liabilities, damages, losses, and expenses (including reasonable attorneys' fees) arising out of or in connection with your use of the website, violation of these Terms & Conditions, or infringement of any rights of a third party.</p>

        <p><strong>12. GOVERNING LAW</strong></p>
        <p>This Agreement shall be governed by and construed in accordance with the laws of the jurisdiction where <strong><?= strtolower($sitename) ?></strong> operates, without regard to its conflict of law principles. Any disputes arising from or related to this Agreement or your use of the website shall be subject to the exclusive jurisdiction of the courts located in that jurisdiction.</p>

        <p><strong>13. SEVERABILITY</strong></p>
        <p>If any provision of these Terms & Conditions is found to be invalid or unenforceable, the remaining provisions will continue to be in full force and effect. The invalid or unenforceable provision will be deemed modified to the extent necessary to make it valid and enforceable.</p>

        <p><strong>14. ENTIRE AGREEMENT</strong></p>
        <p>This Agreement constitutes the entire agreement between you and <strong><?= strtolower($sitename) ?></strong> regarding your use of the website and supersedes any prior agreements or understandings, whether written or oral, relating to the website.</p>

        <p><strong>15. CONTACT INFORMATION</strong></p>
        <?php if (isset($promoteEmail) && !empty($promoteEmail)): ?>
        <p>If you have any questions or concerns regarding these Terms & Conditions, please contact us at     
    <a href="mailto:<?= htmlspecialchars($promoteEmail, ENT_QUOTES, 'UTF-8') ?>">Support</a> &bull;
.</p>
<?php endif; ?>
    </div>
</div>




</div>