
    <title><?= $sitename ?> - 18 U.S.C. § 2257 Statement</title>
    <style>
       
        .content {
            max-width: 100%;
            margin: 20px auto;
            padding: 20px;
            background: #fff;
            min-height: 600px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        .top-placement {
            text-align: center;
            margin-bottom: 20px;
        }
        .placement-wrapper {
            display: inline-block;
            background: #007bff;
            color: #fff;
            padding: 10px 20px;
            border-radius: 4px;
            font-size: 18px;
        }
        .page-content {
            background: #fff;
            padding: 20px;
        }
      
     
        .contact-button {
            display: inline-block;
            background-color: #007bff;
            color: #fff;
            padding: 10px 20px;
            border-radius: 4px;
            text-decoration: none;
            font-weight: bold;
            margin-top: 20px;
        }
        .contact-button:hover {
            background-color: #0056b3;
        }
    </style>

    <div class="content">
        <div class="top-placement">
            <div class="tabsItems">Compliance Statement</div>
        </div>
        <div class="page-content">
            <h1>18 U.S.C. § 2257 Statement</h1>
            <p class="p-small">
                Any actual human beings depicted in images appearing on this website were over the age of 18 at the time those images were recorded.
            </p>
            <p class="p-small">
                <strong>Exemption: Content Produced by Third Parties</strong><br>
                The operators of this website are not the "producers" of any depictions of actual or simulated sexually explicit conduct which may appear on this website. Specifically, the operators of this website limit their handling of such content and only perform activities related to the transmission, storage, retrieval, hosting, and/or formatting of material that may depict sexually explicit conduct. All such material appears on the website as a result of actions taken by third-party users. The operators of this website reserve the right to delete materials deemed indecent, obscene, defamatory, or inconsistent with the website’s policies and terms of service, pursuant to 18 U.S.C. § 2257(h)(2)(B)(v) and 47 U.S.C. § 230(c).
            </p>
            <p class="p-small">
                <strong>Exemption: Content Produced by Website Operators</strong><br>
                To the extent that any images appear on the website for which the operators of this website may be considered the “producer,” those images are exempt from the requirements of 18 U.S.C. § 2257 and 28 C.F.R. § 75 for one or more of the following reasons: (i) the images do not portray any sexually explicit conduct defined in 18 U.S.C. §§ 2256(2)(A); (ii) the images do not portray depictions of the genitals or pubic area created after July 27, 2006; (iii) the images do not portray simulated sexually explicit activity occurring after the effective date of 18 U.S.C. § 2257A; and/or (iv) the images were created prior to July 3, 1995.
            </p>
            <p class="p-small">
                <strong>Designated Records Custodian</strong><br>
                The operators of this website have designated a custodian to maintain original records as described in 18 U.S.C. § 2257 and 28 C.F.R. § 75 for materials appearing on this website that fall into one of the following categories: (i) marketing and advertising materials that contain visual depictions of actual or simulated sexually explicit conduct, acquired or created by the website’s operators to promote the website; and (ii) visual depictions of models, actors, actresses, and other individuals who have elected to enable tipping, private shows, group shows, or any other service that permits the collection of tokens or other virtual funds. Age verification records are collected and reviewed before permitting performers to collect virtual funds.
            </p>
            <?php if (isset($promoteEmail) && !empty($promoteEmail)): ?>
    <a href="mailto:<?= htmlspecialchars($promoteEmail, ENT_QUOTES, 'UTF-8') ?>">Contact Us</a> &bull;
<?php endif; ?>
        </div>
    </div>

