<!DOCTYPE html>
<html lang="en">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
    <link href="https://fonts.googleapis.com/css2?family=Baloo+Da+2&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<head>
<title><?= $title ?></title>
<? if (!empty($description)): ?><meta name="description" content="<?= $description ?>"><? endif; ?>
<? if (!empty($keywords)): ?><meta name="keywords" content="<?= $keywords ?>"><? endif ?>
<? if (!empty($previewImg)): ?><meta property="og:image" content="<?= $previewImg ?>" /><? endif; ?>
<? if (!empty($previewImgWidth)): ?><meta property="og:image:width" content="<?= $previewImgWidth ?>" /><? endif; ?>
<? if (!empty($previewImgHeight)): ?><meta property="og:image:height" content="<?= $previewImgHeight ?>" /><? endif; ?>
<link href="https://fonts.googleapis.com/css2?family=Baloo+Da+2&display=swap" rel="stylesheet">
<!-- Core CSS -->
<link href="/assets/css/style2.css" rel="stylesheet" type="text/css" />
<!-- model info css-->
<link href="/assets/css/model-grid.css" rel="stylesheet" type="text/css" />
<!-- Core JavaScript -->
<script src="/assets/js/all.js" type="text/javascript"></script>
<script src="/assets/js/resizer.js" type="text/javascript"></script>
<script>
// chatembed resize

$(function() {
	resizerSetup('chatembed');
	//resizeSidebar();
});

/*
// set height of div to full page height on page load
$(document).ready(function() {
        $('#sidebar').height($(document).height());
});

// set height of div to full page height on browser resize
$(window).bind('resize', function() {
        $('#sidebar').height($(document).height());
});
 */
</script>

<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-218074564-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-218074564-1');
</script>
</head>
<body cz-shortcut-listen="true" style="">
  <header>

    <div class="primary-header">
      <div class="ph-col col-logo">
        <div class="logo-wrapper">
          <a href="javascript:void(0)" class="mobile-menu">
            <svg height="32px" id="Layer_1" style="enable-background:new 0 0 32 32;" version="1.1" viewBox="0 0 32 32" width="32px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M4,10h24c1.104,0,2-0.896,2-2s-0.896-2-2-2H4C2.896,6,2,6.896,2,8S2.896,10,4,10z M28,14H4c-1.104,0-2,0.896-2,2  s0.896,2,2,2h24c1.104,0,2-0.896,2-2S29.104,14,28,14z M28,22H4c-1.104,0-2,0.896-2,2s0.896,2,2,2h24c1.104,0,2-0.896,2-2  S29.104,22,28,22z"/></svg>
          </a>
          <div class="logo">
            <a href="/">
              <img id="logo-icon" src="/assets/images/TEENPVT_LOGO.png" alt="Logo" />
            </a>
          </div>
        </div>
        <!--<div class="online-status bold text-white">100,231 Models Online</div>-->
      </div>
      <div class="ph-col col-search">
        <div class="search-group">
          <form id="search-box-top" action="/cams/" target="_self">
            <input id="search_models_top" autocomplete="off" type="text" class="search-txt" name="q" placeholder="Search by keyword">
            <div id="container-search"></div>
            <button class="search-submit">
              <svg enable-background="new 0 0 50 50" height="50px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="50px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M38.084,7.398c-8.531-8.53-22.36-8.53-30.89,0c-8.53,8.53-8.53,22.36,0,30.89  c7.331,7.33,18.566,8.341,26.998,3.074l8.132,8.13c1.757,1.756,4.604,1.756,6.359,0c1.757-1.757,1.757-4.603,0-6.357l-8.002-8  C46.486,26.63,45.629,14.943,38.084,7.398z M32.632,32.836c-5.518,5.52-14.467,5.52-19.986,0c-5.519-5.519-5.519-14.468,0-19.988  c5.519-5.518,14.468-5.518,19.986,0C38.154,18.368,38.154,27.317,32.632,32.836z"/></svg>
            </button>
          </form>
        </div>
      </div>
      <div class="ph-col col-action">
        <button type="button" class="btn btn-search-mobile">
          <svg enable-background="new 0 0 50 50" height="50px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="50px" xml:space="preserve" xmlns="https://www.w3.org/2000/svg" xmlns:xlink="https://www.w3.org/1999/xlink"><path d="M38.084,7.398c-8.531-8.53-22.36-8.53-30.89,0c-8.53,8.53-8.53,22.36,0,30.89  c7.331,7.33,18.566,8.341,26.998,3.074l8.132,8.13c1.757,1.756,4.604,1.756,6.359,0c1.757-1.757,1.757-4.603,0-6.357l-8.002-8  C46.486,26.63,45.629,14.943,38.084,7.398z M32.632,32.836c-5.518,5.52-14.467,5.52-19.986,0c-5.519-5.519-5.519-14.468,0-19.988  c5.519-5.518,14.468-5.518,19.986,0C38.154,18.368,38.154,27.317,32.632,32.836z"/></svg>
        </button>
        <a rel="nofollow" href="" target="_blank" class="btn btn-account btn-theme text-uppercase">Create Free Account</a>
      </div>
    </div>
    <div class="menu-header">
      <ul class="main-nav no-bullet">

        <li class="has-items ">
          <a href="#">Sites</a>
          <ul>
            <li><a href="/chaturbate-teencams/">Chaturbate</a></li>
            <li><a href="/bongacams-teencams/">Bongacams</a></li>
            <li><a href="/stripchat-teencams/">Stripchat</a></li>
          </ul>
	</li>

	<li><a href="/latest-videos/">Videos</a></li>
	<li><a href="/girls/">Girls</a></li>
	<li><a href="/guys/">Guys</a></li>
	<li><a href="/trans/">Trans</a></li>
	<li><a href="/couples/">Couples</a></li>
	<li><a href="/topteen/">Top teen</a></li>
	<li><a href="/freechat/">Free chat</a></li>

      </ul>
    </div>
  </header>
  <div class="main" id="main">

    <div class="sidebar" id="sidebar" style="top:96px; overflow-y: scroll;">
		<div class="widget widget-accordian">
			<ul class="no-bullet">
			<li data-filter="sorting">
				<div data-selected="all" class="item">
              <a href="#">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"> <path d="M27.66 224h264.7c24.6 0 36.89-29.78 19.54-47.12l-132.3-136.8c-5.406-5.406-12.47-8.107-19.53-8.107c-7.055 0-14.09 2.701-19.45 8.107L8.119 176.9C-9.229 194.2 3.055 224 27.66 224zM292.3 288H27.66c-24.6 0-36.89 29.77-19.54 47.12l132.5 136.8C145.9 477.3 152.1 480 160 480c7.053 0 14.12-2.703 19.53-8.109l132.3-136.8C329.2 317.8 316.9 288 292.3 288z"/></svg>
                <span>Sort</span>
              </a>
              <div class="toggle">
                <svg viewBox="0 0 96 96" xmlns="https://www.w3.org/2000/svg"><path d="M81.8457,25.3876a6.0239,6.0239,0,0,0-8.45.7676L48,56.6257l-25.396-30.47a5.999,5.999,0,1,0-9.2114,7.6879L43.3943,69.8452a5.9969,5.9969,0,0,0,9.2114,0L82.6074,33.8431A6.0076,6.0076,0,0,0,81.8457,25.3876Z"/></svg>
              </div>
            </div>
				<ul class="sub-items">
				<li><a data-type="sorting" data-val="youngest" href="<?= $sortUrl ?>youngest">Youngest</a></li>
				<li><a data-type="sorting" data-val="oldest" href="<?= $sortUrl ?>oldest">Oldest</a></li>

				<li><a data-type="sorting" data-val="rank" href="<?= $sortUrl ?>rank">Best ranked</a></li>
				<li><a data-type="sorting" data-val="lrank" href="<?= $sortUrl ?>lrank">Worst ranked</a></li>

				<li><a data-type="sorting" data-val="newest" href="<?= $sortUrl ?>newest">Newest joined</a></li>
				<li><a data-type="sorting" data-val="lnewest" href="<?= $sortUrl ?>lnewest">Oldest joined</a></li>

				<li><a data-type="sorting" data-val="viewers" href="<?= $sortUrl ?>viewers">Most viewers</a></li>
				<li><a data-type="sorting" data-val="lviewers" href="<?= $sortUrl ?>lviewers">Least viewers</a></li>

				<li><a data-type="sorting" data-val="followers" href="<?= $sortUrl ?>followers">Most followers</a></li>
				 <li><a data-type="sorting" data-val="lfollowers" href="<?= $sortUrl ?>lfollowers">Least followers</a></li>
				</ul>
			</li>
		</ul>
		</div>

      <div class="widget widget-tabs">
	<div class="widget-content">
          <div class="tab-content">
            <div class="tab-block active" id="tab-girls">
	      <ul class="no-bullet">

	      <? if (!empty($url['args']['category'])): ?>
                <h3><?= $url['args']['category'] ?> #tags</h3>
		<? foreach ($catstags[ $url['args']['category'] ] as $t): if ($t['online'] > 0): ?>
		<li>
                  <? if (!empty($url['args']['tag']) && $url['args']['tag'] == $t['tag']): ?><b><? endif; ?>
		  <a href="<?= encodeUrl('webcamsCategoryTag', $t) ?>"><?= $t['tag'] ?> (<?= $t['online'] ?>)</a>
                  <? if (!empty($url['args']['tag']) && $url['args']['tag'] == $t['tag']): ?></b><? endif; ?>
                </li>
		<? endif; endforeach; ?>

	      <? elseif ($url['name'] == 'webcamsTag'): ?>
                <h3>#tags</h3>
		<? foreach ($tags as $t): if ($t['online'] > 0): ?>
		<li>
                  <? if ($url['args']['tag'] == $t['tag']): ?><b><? endif; ?>
		  <a href="<?= encodeUrl('webcamsTag', $t) ?>"><?= $t['tag'] ?> (<?= $t['online'] ?>)</a>
                  <? if ($url['args']['tag'] == $t['tag']): ?></b><? endif; ?>
                </li>
	        <? endif; endforeach; ?>

	      <? else: ?>
                <h3>#tags</h3>
		<? foreach ($tags as $t): if ($t['online'] > 0): ?>
		<li>
		  <a href="<?= encodeUrl('webcamsTag', $t) ?>"><?= $t['tag'] ?> (<?= $t['online'] ?>)</a>
                </li>
	        <? endif; endforeach; ?>
              <? endif; ?>
              </ul>
	    </div>
          </div>
        </div>
      </div>
     </div>
    <?= $page_contents ?>
  </div>
<footer>
  <div class="container">
    <div class="footer-wrapper">
<!--
      <div class="footer-column left-column">
        <div class="footer-logo">
          <a onclick="$('html,body').animate({scrollTop: 0 }, 1000);"  href="javascript:void(0);">
            <img id="logo-icon" src="/assets/images/EXPOSED_ANAL_LOGO_PNG2.png" alt="Logo Icon" />
          </a>
        </div>
      </div>
-->
      <div class="footer-column"><a href="/page/terms">Terms & Conditions</a></div>
      <div class="footer-column"><a href="/page/privacy">Privacy Policy</a></div>
      <div class="footer-column"><a href="/sitemap.xml">Sitemap</a></div>
      <div class="footer-column"><a href="https://www.rtalabel.org"/target="_new">RTA</a></div>
      <div class="footer-column"><a href="/page/dmca">DMCA</a></div>
      <div class="footer-column"><a href="/page/2257">2257</a></div>
      <div class="footer-column"><a href="mailto:foo@bar.com">Contact Us</a></div>
<!--
      <div class="footer-column">
        <div class="footer-title">
          <h5>Friends</h5>
        </div>
        <ul class="no-bullet">
          <li><a href="#">link</a></li>
          <li><a href="#">link</a></li>
        </ul>
      </div>
      <div class="footer-column">
        <div class="footer-title">
          <h5>More</h5>
        </div>
        <ul class="no-bullet">
          <li><a href="#"> same link</a></li>
          <li><a href="#">  link</a></li>
        </ul>
      </div>
     <div class="footer-column right-column">
       <div class="approval-logo">
         <p style="margin-top: 25px; text-align: center;">
           <img src="https://static-assets.highwebmedia.com/images/badges/safelabeling.gif">
           <img src="https://static-assets.highwebmedia.com/images/badges/88x31_RTA-5042-1996-1400-1577-RTA_a.gif" style="margin: 0 10px;">
           <img src="https://static-assets.highwebmedia.com/images/badges/ApprovedASACPmember.gif">
         </p>
       </div>
       <p class="copyrights">We take no responsibility for the content on any website which we link to, ...</p>
       <p class="copyrights">Copyright © 2022 Avos  </p>
       <p class="copyrights"></p>
     </div>
-->
   </div>
  </div>
</footer>

<script type='text/javascript'>
/*
  function rcam(){
       var width1 = $('.camblock_cb').width();
       var width2 = $('#cb_iframe').width();
       var scale = width1 / width2;
       $('.caminner').css('transform', 'scale('+scale+')');
       var cr = 800/491;
       var h1 = $('.camblock_cb').width() / cr;
       $('.camblock_cb').height(h1);
  }
  rcam();
  $(window).on('resize', function(){
     rcam();
  });
 */
</script>
  
<script type="text/javascript">
  function create_data_cookie(e,a,i){if(i){var o=new Date;o.setTime(o.getTime()+24*i*60*60*1e3);var s="; expires="+o.toGMTString()}else s="";document.cookie=e+"="+a+s+"; path=/"}
  function read_data_cookie(e){for(var a=e+"=",i=decodeURIComponent(document.cookie).split(";"),o=0;o<i.length;o++){for(var s=i[o];" "===s.charAt(0);)s=s.substring(1);if(0===s.indexOf(a))return s.substring(a.length,s.length)}return""};
</script>
<script src="/assets/js/app.js" type="text/javascript"></script>
<script type="text/javascript"> lazyload(); </script>
</body>
</html>
