  <!-----------eidi profile-----> 

  <style>


/* Global Reset */


/* Header Styles */
.header {
  background-color: #333;
  color: white;
  padding: 10px;
}

/* Navigation Styles */
.nav {
  background-color: #eee;
  padding: 10px;
}

.nav ul {
  list-style: none;
  display: flex;
}

.nav li {
  margin-right: 15px;
}

/* Section Wrapper Styles */

/* Tab Menu Styles */
.tabmenu-en {
  background-color: #f2f2f2;
  border: 1px solid #ccc;
  padding: 10px;
}

.tabmenu-en ul {
  list-style: none;
  display: flex;
}

.tabmenu-en li {
  margin-right: 15px;
}

.tabmenu-en a {
  text-decoration: none;
  color: #333;
}

.tabmenu-en .active a {
  font-weight: bold;
}

/* Form Styles */
#saveFormSettings {
  /*padding: 20px;*/
}

/* Section Panels Styles */
.sectionPanels {
  margin-top: 20px;
}

/* Expandable Section Styles */
.expandable-section {
  margin-bottom: 20px;
}

.expandable-title {
  background-color: #f2f2f2;
  padding: 10px;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.expandable-title .spriteProfileEdit {
  margin-right: 10px;
}

.expandable-content {
  display: none;
  padding: 10px;
  background-color: #fff;
}

/* Input Styles */
.input-label-container {
  margin-bottom: 10px;
}

.input-label-container label {
  display: block;
  font-weight: bold;
}

/* Textarea Styles */
textarea {
  width: 100%;
  height: 100px;
  padding: 5px;
  border: 1px solid #ccc;
}

/* Button Styles */
.buttonBase {
  padding: 10px 20px;
  border: none;
  cursor: pointer;
  color: white;
}

.orangeButton {
  background-color: orange;
}

.greyButton {
  background-color: grey;
}

.float-left {
  float: left;
}

.float-right {
  float: right;
}

.clear {
  clear: both;
}

.info_me{
    font-weight: bold;
    font-size: 11px;
    color: orangered;
    }
</style>

<!-- code me-->


<?php
//session_start();
$host       = $_AVOS['config']['mysql']['hostname'];
$username   = $_AVOS['config']['mysql']['username'];
$password   = $_AVOS['config']['mysql']['password'];
$database   = $_AVOS['config']['mysql']['database'];


// Create a database connection
$connection = mysqli_connect($host, $username, $password, $database);
// Check if the connection was successful
if (!$connection) {
    die("Database connection failed: " . mysqli_connect_error());
}
// Retrieve form data
$type = isset($_POST['type']) ? mysqli_real_escape_string($connection, $_POST['type']) : '';
$full_name = isset($_POST['full_name']) ? mysqli_real_escape_string($connection, $_POST['full_name']) : '';
$gender = isset($_POST['gender']) ? mysqli_real_escape_string($connection, $_POST['gender']) : '';
$relation_status = isset($_POST['relation_status']) ? mysqli_real_escape_string($connection, $_POST['relation_status']) : '';
$orientation = isset($_POST['orientation']) ? mysqli_real_escape_string($connection, $_POST['orientation']) : '';
$website = isset($_POST['website']) ? mysqli_real_escape_string($connection, $_POST['website']) : '';
$hometown = isset($_POST['hometown']) ? mysqli_real_escape_string($connection, $_POST['hometown']) : '';
$city = isset($_POST['city']) ? mysqli_real_escape_string($connection, $_POST['city']) : '';
$country = isset($_POST['country']) ? mysqli_real_escape_string($connection, $_POST['country']) : '';
$job = isset($_POST['job']) ? mysqli_real_escape_string($connection, $_POST['job']) : '';
$company = isset($_POST['company']) ? mysqli_real_escape_string($connection, $_POST['company']) : '';
$school = isset($_POST['school']) ? mysqli_real_escape_string($connection, $_POST['school']) : '';
$about_me = isset($_POST['about_me']) ? mysqli_real_escape_string($connection, $_POST['about_me']) : '';
$interests = isset($_POST['interests']) ? mysqli_real_escape_string($connection, $_POST['interests']) : '';
$fav_movies = isset($_POST['fav_movies']) ? mysqli_real_escape_string($connection, $_POST['fav_movies']) : '';
$fav_music = isset($_POST['fav_music']) ? mysqli_real_escape_string($connection, $_POST['fav_music']) : '';
$fav_books = isset($_POST['fav_books']) ? mysqli_real_escape_string($connection, $_POST['fav_books']) : '';
$turnons = isset($_POST['turnons']) ? mysqli_real_escape_string($connection, $_POST['turnons']) : '';
$turnoffs = isset($_POST['turnoffs']) ? mysqli_real_escape_string($connection, $_POST['turnoffs']) : '';
$birthdate = isset($_POST['birthdate']) ? mysqli_real_escape_string($connection, $_POST['birthdate']) : '';
$useravatar = isset($_POST['useravatar']) ? mysqli_real_escape_string($connection, $_POST['useravatar']) : '';
$coverimage = isset($_POST['coverimage']) ? mysqli_real_escape_string($connection, $_POST['coverimage']) : '';
$start_day = isset($_POST['start_day']) ? mysqli_real_escape_string($connection, $_POST['start_day']) : '';
$end_day = isset($_POST['end_day']) ? mysqli_real_escape_string($connection, $_POST['end_day']) : '';
$start_time = isset($_POST['start_time']) && !empty($_POST['start_time']) ? mysqli_real_escape_string($connection, $_POST['start_time']) : '00:00:00';
$end_time = isset($_POST['end_time']) ? mysqli_real_escape_string($connection, $_POST['end_time']) : '';
$nickname = isset($_POST['nickname']) ? mysqli_real_escape_string($connection, $_POST['nickname']) : '';
$age = isset($_POST['age']) ? mysqli_real_escape_string($connection, $_POST['age']) : '';
$selectedWebsites = isset($_POST['websites']) ? implode(',', $_POST['websites']) : '';

$user_id          = $_SESSION['user_id'];
//$formattedBirthdate = date('Y-m-d', strtotime($birthdate));
$formattedBirthdate = isset($_POST['birthdate']) ? date('Y-m-d', strtotime($_POST['birthdate'])) : '';
$start_time = isset($_POST['start_time']) && !empty($_POST['start_time']) ? $_POST['start_time'] : '00:00:00'; // Using '00:00:00' as a default value
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $userId = $_SESSION['user_id']; // Make sure you have the user ID
    // Directory paths
    $userPathDir = $_AVOS['config']['site']['webDir'] . 'photosUsers/';
    $userDir = $userPathDir . $userId . '/';
    $galleryDir = $userDir . 'gallery/';
    // Create user directory
    if (!is_dir($userDir)) {
        mkdir($userDir, 0755, true);
    }
    // Create gallery directory
    if (!is_dir($galleryDir)) {
        mkdir($galleryDir, 0755, true);
    }
    // Upload avatar
    if (isset($_FILES['useravatar'])) {
        $avatarFileName = 'user_avatar.webp';
        $avatarFilePath = $userDir . $avatarFileName;
        move_uploaded_file($_FILES['useravatar']['tmp_name'], $avatarFilePath);
        // Process the uploaded file if needed
    }
    // Upload cover image
    if (isset($_FILES['coverimage'])) {
        $coverFileName = 'cover.webp';
        $coverFilePath = $userDir . $coverFileName;
        move_uploaded_file($_FILES['coverimage']['tmp_name'], $coverFilePath);
        // Process the uploaded file if needed
    }
    // Upload gallery images
    if (isset($_FILES['model-gallery-images'])) {
        foreach ($_FILES['model-gallery-images']['tmp_name'] as $key => $tmpName) {
            if (!empty($tmpName)) {
                $galleryFileName = 'gallery_image_' . uniqid() . '.webp';
                $galleryFilePath = $galleryDir . $galleryFileName;
                move_uploaded_file($tmpName, $galleryFilePath);
                // Process the uploaded file if needed
            }
        }
    }
}

// Define the input fields and their corresponding database columns
$inputFields = array(
    'nickname' => 'nickname',
    'website' => 'website',
    'age' => 'age',
    'full_name' => 'full_name',
    'formattedBirthdate' => 'birthdate',
    'gender' => 'gender',
    'relation_status' => 'relation_status',
    'orientation' => 'orientation',
    'selectedWebsites' => 'selected_websites',
    'hometown' => 'hometown',
    'city' => 'city',
    'country' => 'country',
    'job' => 'job',
    'company' => 'company',
    'school' => 'school',
    'about_me' => 'about_me',
    'interests' => 'interests',
    'fav_movies' => 'fav_movies',
    'fav_music' => 'fav_music',
    'fav_books' => 'fav_books',
    'turnons' => 'turnons',
    'turnoffs' => 'turnoffs',
    'coverimage' => 'coverimage',
    'useravatar' => 'useravatar',
    'start_day' => 'start_day',
    'end_day' => 'end_day',
    'start_time' => 'start_time',
    'end_time' => 'end_time'
);

// Initialize an array to store the column updates
$updates = [];
$bindParams = [];
$bindTypes = '';

// Loop through input fields to build updates and bindings
foreach ($inputFields as $inputName => $columnName) {
    if (!empty($_POST[$inputName])) {
        $updates[] = "$columnName=?";
        $bindParams[] = &$_POST[$inputName];
        $bindTypes .= 's';
    }
}

// Check if there are updates to perform
if (!empty($updates)) {
    // Build the query
    $query = "UPDATE member SET " . implode(", ", $updates) . " WHERE id = ?";
    // Debug the generated query
    //echo "Query: " . $query . "<br>";

    $bindParams[] = &$user_id;
    $bindTypes .= 'i';

    // Prepare and execute the statement
    $stmt = mysqli_prepare($connection, $query);
    array_unshift($bindParams, $stmt, $bindTypes);
    call_user_func_array("mysqli_stmt_bind_param", $bindParams);

    if (mysqli_stmt_execute($stmt)) {
        echo "Data updated successfully.";
    } else {
        echo "Error: " . mysqli_error($connection);
    }

    // Close the prepared statement
    mysqli_stmt_close($stmt);
} else {
    echo "<h4 class='p-small'>Customize your profile information on this page</h4>"; // No updates were specified
}

// Close the prepared statement
//mysqli_stmt_close($stmt);


?>
<?

// Fetch user data from the database
// Fetch user data from the database
$query = "SELECT * FROM member WHERE id = ?";
$stmt = mysqli_prepare($connection, $query);

if ($stmt) {
    mysqli_stmt_bind_param($stmt, "i", $user_id);
    mysqli_stmt_execute($stmt);
    $result = mysqli_stmt_get_result($stmt);
    $userData = mysqli_fetch_assoc($result);
    mysqli_stmt_close($stmt);
} else {
    die("Preparation of the statement failed: " . mysqli_error($connection));
}

// Form field values
$nicknameValue = isset($userData['nickname']) ? htmlspecialchars($userData['nickname']) : '';
$ageValue = isset($userData['age']) ? htmlspecialchars($userData['age']) : '';
$selectedWebsitesValue = isset($userData['selected_websites']) ? explode(',', $userData['selected_websites']) : array();
$userTypeValue = isset($userData['type']) ? htmlspecialchars($userData['type']) : '';
$passwordValue = isset($userData['password']) ? htmlspecialchars($userData['password']) : '';
$emailValue = isset($userData['email']) ? htmlspecialchars($userData['email']) : '';
$useravatarValue = isset($userData['useravatar']) ? htmlspecialchars($userData['useravatar']) : '';
$modelnameValue = isset($userData['modelname']) ? htmlspecialchars($userData['modelname']) : '';
$modelimageValue = isset($userData['modelimage']) ? htmlspecialchars($userData['modelimage']) : '';
$modelavatarValue = isset($userData['modelavatar']) ? htmlspecialchars($userData['modelavatar']) : '';
$modelgalleryimagesValue = isset($userData['modelgalleryimages']) ? htmlspecialchars($userData['modelgalleryimages']) : '';
$socialValue = isset($userData['social']) ? htmlspecialchars($userData['social']) : '';
$attributesValue = isset($userData['attributes']) ? htmlspecialchars($userData['attributes']) : '';
$full_nameValue = isset($userData['full_name']) ? htmlspecialchars($userData['full_name']) : '';
$formattedBirthdate = isset($userData['birthdate']) ? htmlspecialchars($userData['birthdate']) : '';
$websiteValue = isset($userData['website']) ? htmlspecialchars($userData['website']) : '';
$hometownValue = isset($userData['hometown']) ? htmlspecialchars($userData['hometown']) : '';
$cityValue = isset($userData['city']) ? htmlspecialchars($userData['city']) : '';
$countryValue = isset($userData['country']) ? htmlspecialchars($userData['country']) : '';
$jobValue = isset($userData['job']) ? htmlspecialchars($userData['job']) : '';
$companyValue = isset($userData['company']) ? htmlspecialchars($userData['company']) : '';
$schoolValue = isset($userData['school']) ? htmlspecialchars($userData['school']) : '';
$about_meValue = isset($userData['about_me']) ? htmlspecialchars($userData['about_me']) : '';
$interestsValue = isset($userData['interests']) ? htmlspecialchars($userData['interests']) : '';
$fav_moviesValue = isset($userData['fav_movies']) ? htmlspecialchars($userData['fav_movies']) : '';
$fav_musicValue = isset($userData['fav_music']) ? htmlspecialchars($userData['fav_music']) : '';
$fav_booksValue = isset($userData['fav_books']) ? htmlspecialchars($userData['fav_books']) : '';
$turnonsValue = isset($userData['turnons']) ? htmlspecialchars($userData['turnons']) : '';
$turnoffsValue = isset($userData['turnoffs']) ? htmlspecialchars($userData['turnoffs']) : '';
$genderValue = isset($userData['gender']) ? htmlspecialchars($userData['gender']) : '';
$orientationValue = isset($userData['orientation']) ? htmlspecialchars($userData['orientation']) : '';
$coverimageValue = isset($userData['coverimage']) ? htmlspecialchars($userData['coverimage']) : '';
$start_dayValue = isset($userData['start_day']) ? htmlspecialchars($userData['start_day']) : '';
$end_dayValue = isset($userData['end_day']) ? htmlspecialchars($userData['end_day']) : '';
$start_timeValue = isset($userData['start_time']) ? htmlspecialchars($userData['start_time']) : '';
$end_timeValue = isset($userData['end_time']) ? htmlspecialchars($userData['end_time']) : '';
$relation_statusValue = isset($userData['relation_status']) ? htmlspecialchars($userData['relation_status']) : '';

/////var_dump($_POST);

//end of update--let set rest 

// Assuming you have established a database connection earlier

// User ID to fetch


?>




<!--code me -->
<div class="profileSettingsPreferences" id="profileForm">
    <div class="sectionWrapper">
<form id="saveFormSettings" action="" method="POST" name="edit_form" autocomplete="off"  enctype="multipart/form-data">
<div class="sectionPanels">
<div class="expandable-section helpAvatar active">
<div class="expandable-title">
<h3><i class="fa fa-info-circle" aria-hidden="true"></i> Profile and cover picture </h3>                           
<div class="clear"></div>
</div>
<div class="expandable-content" style="display: flex;">
    <div class="contentWrapper">
        <div class="section_header"><h3>Profile Picture</h3></div>
        <div class="pictureWrapper avatarSection">
            <!-- Display the avatar image if it's present -->
            <?php if (file_exists($_AVOS['config']['site']['webDir'] . '/photosUsers/' . $userId . '/user_avatar.webp')) : ?>
                <img id="avatarPreview" src="/photosUsers/<?= $userId?>/user_avatar.webp"
                    class="float-left" alt="Avatar" width="130px" height="130px" data-title="" title="">
            <?php else : ?>
                <!-- If avatar image is not present, display a default image -->
                <img id="avatarPreview" src="https://ei.phncdn.com/pics/users/default/pornhub/(m=bJWsSeKlbyaT)(mh=4N6NZAtseWL0p9UF)male.jpg"
                    class="float-left" alt="Avatar" width="130px" height="130px" data-title="" title="">
            <?php endif; ?>
            
            <div class="float-left">
                <div class="info">Minimum image size is 400 x 400px.</div>
                <label for="avatarUpload" class="spriteProfileIcons orangeButton float-left editProfileBtn editSprite avatarModalTrigger">
                    Upload Picture
                </label>
                <input type="file" id="avatarUpload" name="useravatar" style="display: none;" onchange="previewAvatarImage(this)">
            </div>
        </div>
    </div>
    <div class="contentWrapper">
        <div class="section_header"><h3>Cover Picture</h3></div>
        <div class="pictureWrapper coverImageSection">
            <!-- Display the cover image if it's present -->
            <?php if (file_exists($_AVOS['config']['site']['webDir'] . '/photosUsers/' . $userId . '/cover.webp')) : ?>
   
                <img id="coverPreview"
                    src="/photosUsers/<?= $userId?>/cover.webp"
                    width="100%" height="130px" class="coverPictureSmall float-left" alt="Cover" data-title="" title="">
            <?php else : ?>
                <!-- If cover image is not present, display a default image -->
                <img id="coverPreview"
                    src="https://ei.phncdn.com/static/www-static/images/profile/cover/full/pornhub/(m=eRSa4qFxcWaAb)(mh=MuQpifh_FDfQWhvd)001.jpg"
                    width="100%" height="130px" class="coverPictureSmall float-left" alt="Cover" data-title="" title="">
            <?php endif; ?>

            <div class="info">Select your cover.</div>
            <div class="buttonWrapper">
                <label for="coverImageUpload" class="spriteProfileIcons orangeButton float-left editProfileBtn editSprite coverImageModalTrigger">
                    Edit Picture
                </label>
                <input type="file" id="coverImageUpload"  name="coverimage" style="display: none;" onchange="previewCoverImage(this)">
            </div>
        </div>
    </div>
</div>

<script>
    function previewAvatarImage(input) {
        var avatarPreview = document.getElementById('avatarPreview');
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                avatarPreview.src = e.target.result;
            };
            reader.readAsDataURL(input.files[0]);
        }
    }

    function previewCoverImage(input) {
        var coverPreview = document.getElementById('coverPreview');
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function (e) {
                coverPreview.src = e.target.result;
            };
            reader.readAsDataURL(input.files[0]);
        }
    }
</script>
</div>

<a class="nav-menu" href="/users/<?php echo $_SESSION['username']; ?>?tab=profile-reset">Reset your Password</a>


<div class="expandable-section helpPersonalInfo active">
<div class="expandable-title">
<h3><i class="fa fa-info-circle" aria-hidden="true"></i> Personal Information </h3>     
<div class="clear"></div>
</div>
<div class="expandable-content" style="display: block;">
<div class="contentWrapper">
<div class="section_header">
<h2>Basic Information</h2>
</div>
 <div class="relative input-label-container">
    <label>Name:</label>
    <input class="input-mfcs" type="text" name="full_name" value="<?= !empty($full_nameValue) ? $full_nameValue : '' ?>" maxlength="40">

</div> 
<? if($userTypeModel > 0):?>
<div class="relative input-label-container">
    <label>Type: </label> 
    <input class="input-mfcs" type="text" name="type" value="<?= !empty($userTypeValue) ? ucwords($userTypeValue) : '' ?>" maxlength="40">

</div>
<?endif;?>
<? if($userTypeModel > 0):?>
<div class="expandable-title">
<h3><i class="fa fa-info-circle" aria-hidden="true"></i> Model Information </h3>     
<div class="clear"></div>
</div>
<div class="relative input-label-container">
   <label>Nickname:</label>
      <input class="input-mfcs" id="nickname" type="text" class="js-website" name="nickname"  value="<?= !empty($nicknameValue) ? ucwords($nicknameValue) : '' ?>" placeholder="Fill in Model Username"  maxlength="255" value="">
 </div>
 
 <div class="relative input-label-container">
   <label>Age:</label>
      <input class="input-mfcs" id="age" type="text" class="js-website" name="age"  value="<?= !empty($ageValue) ? ucwords($ageValue) : '' ?>" maxlength="255" value="">
 </div>
<div class="relative input-label-container">
    <label>Websites:
<p class="info_me"> <?= !empty($selectedWebsitesValue) ? implode(', ', $selectedWebsitesValue) : '' ?></p></label> 
    <select class="input-mfcs" name="websites[]" multiple>
        <?php
        $websiteOptions = array(
            "Chaturbate", "StripChat", "BongaCams",
            "LiveJasmin", "Flirt4Free", "CamSoda",
            "LiveJasmin", "Streamray", "OnlyFans"
        );

        foreach ($websiteOptions as $option) {
            echo '<option value="' . $option . '">' . $option . '</option>';
        }
        ?>
    </select>
</div>
<div class="relative input-label-container">
    <label>Photos Gallery: </label> 
    <input class="input-mfcs" type="file" name="model-gallery-images[]" multiple>
</div>
    <?php if (!empty($start_dayValue) && !empty($end_dayValue) && !empty($start_timeValue) && !empty($end_timeValue)): ?>
        <p class="info_me">Availability: <?php echo $start_dayValue; ?> to <?php echo $end_dayValue; ?>,
        <?php echo $start_timeValue; ?> to <?php echo $end_timeValue; ?></p>
    <?php endif; ?>


<div class="relative input-label-container">
<label for="start_day">Select Start Day:</label>
        <select id="start_day" name="start_day"  class="input-mfcs"  required>
            <option value="monday">Monday</option>
            <option value="tuesday">Tuesday</option>
            <option value="wednesday">Wednesday</option>
            <option value="thursday">Thursday</option>
            <option value="friday">Friday</option>
            <option value="saturday">Saturday</option>
            <option value="sunday">Sunday</option>
        </select>
        <br>
        <label for="end_day">Select End Day:</label>
        <select id="end_day" name="end_day"   class="input-mfcs" >
            <option value="monday">Monday</option>
            <option value="tuesday">Tuesday</option>
            <option value="wednesday">Wednesday</option>
            <option value="thursday">Thursday</option>
            <option value="friday">Friday</option>
            <option value="saturday">Saturday</option>
            <option value="sunday">Sunday</option>
        </select>
        <br>
        <label for="start_time">Start Time:</label>
        <input  class="input-mfcs"  type="time" id="start_time" name="start_time" >
        <br>
        <label for="end_time">End Time:</label>
        <input  class="input-mfcs"  type="time" id="end_time" name="end_time" >
        <br>
       

</div>



 <div class="relative input-label-container" style="display: flex;">
    <label>Birthday:</label>
    <div class="dateOfBirth">
    <label for="birthdate">Birthdate:</label>
    <input class="input-mfcs" type="date" id="birthdate" name="birthdate" >
</div>
</div>
<?endif;?>
<div class="relative input-label-container">
<label>Gender:</label>
<span>

<select class="input-mfcs" name="gender">
    <option value="0" selected="selected"><?= !empty($genderValue) ? ucwords($genderValue) : '' ?></option>
    <option value="Male">Male</option>
    <option value="Female">Female</option>
    <option value="Couple">Couple</option>
    <option value="Same Sex Couple (Female)">Same Sex Couple (Female)</option>
    <option value="Same Sex Couple (Male)">Same Sex Couple (Male)</option>
    <option value="Trans Woman">Trans Woman</option>
    <option value="Trans Man">Trans Man</option>
    <option value="Other">Other</option>
    <option value="Non-Binary">Non-Binary</option>
</select>
</span>
</div>
<div class="relative input-label-container">
    <label>* Relationship Status:</label>
    <select class="input-mfcs" name="relation_status">
            <option  selected="selected"><?= !empty($relation_statusValue) ? ucwords($relation_statusValue) : '---' ?></option>
        <option value="Single1" selected="selected">Single</option>
        <option value="Taken">Taken</option>
        <option value="Open">Open</option>
    </select>
</div>
<div class="relative input-label-container">
    <label> Interested In:</label>
    <select class="input-mfcs" name="orientation">
        <option  selected="selected"><?= !empty($orientationValue) ? ucwords($orientationValue) : 'None Selected' ?></option>
        <option value="Girls">Girls</option>
        <option value="Guys">Guys</option>
        <option value="Guys and Girls">Guys and Girls</option>
        <option value="Interest in myself">Interest in myself</option>
    </select>
</div>

<div class="expandable-title">
<h3><i class="fa fa-info-circle" aria-hidden="true"></i> Contact Information </h3>     
<div class="clear"></div>
</div>

<div class="relative input-label-container">
   <label>Personal Website:</label>
      <input class="input-mfcs" id="webAddress" type="text" name="website" value="<?= !empty($websiteValue) ? ucwords($websiteValue) : '' ?>" maxlength="255" value="">
 </div>
 <div class="relative input-label-container">
    <label>Hometown:</label>
    <input class="input-mfcs" type="text" name="hometown"  value="<?= !empty($hometownValue) ? ucwords($hometownValue) : '' ?>" maxlength="50" value="">
</div>
 <div class="relative input-label-container">                                                                                            
    <label>Current City:</label>
        <input class="input-mfcs" type="text" name="city" maxlength="50"  value="<?= !empty($cityValue) ? ucwords($cityValue) : '' ?>">
</div>

 <div class="relative input-label-container">
    <label>* Country:</label>
    <select class="input-mfcs" name="country" >
        <option value=""><?= !empty($countryValue) ? ucwords($countryValue) : 'None Selected' ?></option>
        <?php
        $countries = array(
            "AF" => "Afghanistan",
            "AX" => "Aland Islands",
            "AL" => "Albania",
            "DZ" => "Algeria",
            "AS" => "American Samoa",
            "AD" => "Andorra",
            "AO" => "Angola",
            "AI" => "Anguilla",
            "AQ" => "Antarctica",
            "AG" => "Antigua and Barbuda",
            "AR" => "Argentina",
            "AM" => "Armenia",
            "AW" => "Aruba",
            "AU" => "Australia",
            "AT" => "Austria",
            "AZ" => "Azerbaijan",
            "BS" => "Bahamas",
            "BH" => "Bahrain",
            "BD" => "Bangladesh",
            "BB" => "Barbados",
            "BY" => "Belarus",
            "BE" => "Belgium",
            "BZ" => "Belize",
            "BJ" => "Benin",
            "BM" => "Bermuda",
            "BT" => "Bhutan",
            "BO" => "Bolivia",
            "BQ" => "Bonaire, Sint Eustatius and Saba",
            "BA" => "Bosnia and Herzegovina",
            "BW" => "Botswana",
            "BV" => "Bouvet Island",
            "BR" => "Brazil",
            "IO" => "British Indian Ocean Territory",
            "BN" => "Brunei",
            "BG" => "Bulgaria",
            "BF" => "Burkina Faso",
            "BI" => "Burundi",
            "CV" => "Cabo Verde",
            "KH" => "Cambodia",
            "CM" => "Cameroon",
            "CA" => "Canada",
            "KY" => "Cayman Islands",
            "CF" => "Central African Republic",
            "TD" => "Chad",
            "CL" => "Chile",
            "CN" => "China",
            "CX" => "Christmas Island",
            "CC" => "Cocos (Keeling) Islands",
            "CO" => "Colombia",
            "KM" => "Comoros",
            "CG" => "Congo",
            "CD" => "Congo (Democratic Republic of the)",
            "CK" => "Cook Islands",
            "CR" => "Costa Rica",
            "CI" => "Cote d'Ivoire",
            "HR" => "Croatia",
            "CU" => "Cuba",
            "CW" => "Curacao",
            "CY" => "Cyprus",
            "CZ" => "Czech Republic",
            "DK" => "Denmark",
            "DJ" => "Djibouti",
            "DM" => "Dominica",
            "DO" => "Dominican Republic",
            "EC" => "Ecuador",
            "EG" => "Egypt",
            "SV" => "El Salvador",
            "GQ" => "Equatorial Guinea",
            "ER" => "Eritrea",
            "EE" => "Estonia",
            "ET" => "Ethiopia",
            "FK" => "Falkland Islands",
            "FO" => "Faroe Islands",
            "FJ" => "Fiji",
            "FI" => "Finland",
            "FR" => "France",
            "GF" => "French Guiana",
            "PF" => "French Polynesia",
            "TF" => "French Southern Territories",
            "GA" => "Gabon",
            "GM" => "Gambia",
            "GE" => "Georgia",
            "DE" => "Germany",
            "GH" => "Ghana",
            "GI" => "Gibraltar",
            "GR" => "Greece",
            "GL" => "Greenland",
            "GD" => "Grenada",
            "GP" => "Guadeloupe",
            "GU" => "Guam",
            "GT" => "Guatemala",
            "GG" => "Guernsey",
            "GN" => "Guinea",
            "GW" => "Guinea-Bissau",
            "GY" => "Guyana",
            "HT" => "Haiti",
            "HM" => "Heard Island and McDonald Islands",
            "VA" => "Holy See",
            "HN" => "Honduras",
            "HK" => "Hong Kong",
            "HU" => "Hungary",
            "IS" => "Iceland",
            "IN" => "India",
            "ID" => "Indonesia",
            "IR" => "Iran",
            "IQ" => "Iraq",
            "IE" => "Ireland",
            "IM" => "Isle of Man",
            "IL" => "Israel",
            "IT" => "Italy",
            "JM" => "Jamaica",
            "JP" => "Japan",
            "JE" => "Jersey",
            "JO" => "Jordan",
            "KZ" => "Kazakhstan",
            "KE" => "Kenya",
            "KI" => "Kiribati",
            "KP" => "North Korea",
            "KR" => "South Korea",
            "KW" => "Kuwait",
            "KG" => "Kyrgyzstan",
            "LA" => "Laos",
            "LV" => "Latvia",
            "LB" => "Lebanon",
            "LS" => "Lesotho",
            "LR" => "Liberia",
            "LY" => "Libya",
            "LI" => "Liechtenstein",
            "LT" => "Lithuania",
            "LU" => "Luxembourg",
            "MO" => "Macao",
            "MK" => "North Macedonia",
            "MG" => "Madagascar",
            "MW" => "Malawi",
            "MY" => "Malaysia",
            "MV" => "Maldives",
            "ML" => "Mali",
            "MT" => "Malta",
            "MH" => "Marshall Islands",
            "MQ" => "Martinique",
            "MR" => "Mauritania",
            "MU" => "Mauritius",
            "YT" => "Mayotte",
            "MX" => "Mexico",
            "FM" => "Micronesia",
            "MD" => "Moldova",
            "MC" => "Monaco",
            "MN" => "Mongolia",
            "ME" => "Montenegro",
            "MS" => "Montserrat",
            "MA" => "Morocco",
            "MZ" => "Mozambique",
            "MM" => "Myanmar",
            "NA" => "Namibia",
            "NR" => "Nauru",
            "NP" => "Nepal",
            "NL" => "Netherlands",
            "NC" => "New Caledonia",
            "NZ" => "New Zealand",
            "NI" => "Nicaragua",
            "NE" => "Niger",
            "NG" => "Nigeria",
            "NU" => "Niue",
            "NF" => "Norfolk Island",
            "MP" => "Northern Mariana Islands",
            "NO" => "Norway",
            "OM" => "Oman",
            "PK" => "Pakistan",
            "PW" => "Palau",
            "PS" => "Palestine",
            "PA" => "Panama",
            "PG" => "Papua New Guinea",
            "PY" => "Paraguay",
            "PE" => "Peru",
            "PH" => "Philippines",
            "PN" => "Pitcairn",
            "PL" => "Poland",
            "PT" => "Portugal",
            "PR" => "Puerto Rico",
            "QA" => "Qatar",
            "RE" => "Reunion",
            "RO" => "Romania",
            "RU" => "Russia",
            "RW" => "Rwanda",
            "BL" => "Saint Barthelemy",
            "SH" => "Saint Helena",
            "KN" => "Saint Kitts and Nevis",
            "LC" => "Saint Lucia",
            "MF" => "Saint Martin",
            "PM" => "Saint Pierre and Miquelon",
            "VC" => "Saint Vincent and the Grenadines",
            "WS" => "Samoa",
            "SM" => "San Marino",
            "ST" => "Sao Tome and Principe",
            "SA" => "Saudi Arabia",
            "SN" => "Senegal",
            "RS" => "Serbia",
            "SC" => "Seychelles",
            "SL" => "Sierra Leone",
            "SG" => "Singapore",
            "SX" => "Sint Maarten",
            "SK" => "Slovakia",
            "SI" => "Slovenia",
            "SB" => "Solomon Islands",
            "SO" => "Somalia",
            "ZA" => "South Africa",
            "GS" => "South Georgia and the South Sandwich Islands",
            "SS" => "South Sudan",
            "ES" => "Spain",
            "LK" => "Sri Lanka",
            "SD" => "Sudan",
            "SR" => "Suriname",
            "SJ" => "Svalbard and Jan Mayen",
            "SZ" => "Eswatini",
            "SE" => "Sweden",
            "CH" => "Switzerland",
            "SY" => "Syria",
            "TW" => "Taiwan",
            "TJ" => "Tajikistan",
            "TZ" => "Tanzania",
            "TH" => "Thailand",
            "TL" => "Timor-Leste",
            "TG" => "Togo",
            "TK" => "Tokelau",
            "TO" => "Tonga",
            "TT" => "Trinidad and Tobago",
            "TN" => "Tunisia",
            "TR" => "Turkey",
            "TM" => "Turkmenistan",
            "TC" => "Turks and Caicos Islands",
            "TV" => "Tuvalu",
            "UG" => "Uganda",
            "UA" => "Ukraine",
            "AE" => "United Arab Emirates",
            "GB" => "United Kingdom",
            "US" => "United States",
            "UM" => "United States Minor Outlying Islands",
            "UY" => "Uruguay",
            "UZ" => "Uzbekistan",
            "VU" => "Vanuatu",
            "VE" => "Venezuela",
            "VN" => "Vietnam",
            "VG" => "Virgin Islands (British)",
            "VI" => "Virgin Islands (U.S.)",
            "WF" => "Wallis and Futuna",
            "EH" => "Western Sahara",
            "YE" => "Yemen",
            "ZM" => "Zambia",
            "ZW" => "Zimbabwe"
            
        );

        foreach ($countries as $code => $name) {
            echo "<option value='$code'>$name</option>";
        }
        ?>
    </select>
</div>
</div>
</div>
</div>

            <div class="expandable-section workEducation">
<div class="expandable-title">

<h3><i class="fa fa-info-circle" aria-hidden="true"></i> Work and education  </h3>   
<div class="clear"></div>
</div>
<div class="expandable-content" style="display: block;">
<div class="contentWrapper">
<div class="section_header">
<h2>Work</h2>
</div>

      <div class="relative input-label-container">
          <label>Occupation:</label>
           <input class="input-mfcs" type="text" name="job" maxlength="50" value="<?= !empty($jobValue) ? ucwords($jobValue) : 'None Selected' ?>">
     </div>

     <div class="relative input-label-container">
            <label>Company:</label>
        <input class="input-mfcs" type="text" name="company" maxlength="50" value="<?= !empty($companyValue) ? ucwords($companyValue) : 'None Selected' ?>">
      </div>

 <div class="section_header">
<h2>Education</h2>
</div>
 <div class="relative input-label-container">
    <label>School:</label>
     <input  class="input-mfcs" type="text" name="school" maxlength="50" value="<?= !empty($schoolValue) ? ucwords($schoolValue) : 'None Selected' ?>">
  </div>
 </div>
</div>
</div>

<div class="expandable-section personalDetails">
<div class="expandable-title">

<h3><i class="fa fa-info-circle" aria-hidden="true"></i> Details about you   </h3> 
<div class="clear"></div>
</div>
<div class="expandable-content" style="display: block;">

<div class="contentWrapper">
<div class="otherSettings">
    <label>About Me:</label>
    <textarea name="about_me"><?= !empty($about_meValue) ? ucwords($about_meValue) : '' ?></textarea>
</div>
<div class="otherSettings">
    <label>Interests and Hobbies:</label>
    <textarea name="interests"><?= !empty($interestsValue) ? ucwords($interestsValue) : '' ?></textarea>
</div>
 <div class="otherSettings">
    <label>Favorite Movies and TV Shows:</label>
    <textarea name="fav_movies"><?= !empty($fav_moviesValue) ? ucwords($fav_moviesValue) : '' ?></textarea>
</div>
 <div class="otherSettings">
    <label>Favorite Music:</label>
    <textarea name="fav_music"><?= !empty($fav_musicValue) ? ucwords($fav_musicValue) : '' ?></textarea>
</div>
<div class="otherSettings">
    <label>Favorite Books:</label>
    <textarea name="fav_books"><?= !empty($fav_booksValue) ? ucwords($fav_booksValue) : '' ?></textarea>
</div>
 <div class="otherSettings">
    <label>Turn Ons:</label>
    <textarea name="turnons"><?= !empty($turnonsValue) ? ucwords($turnonsValue) : '' ?></textarea>
</div>
<div class="otherSettings">
    <label>Turn Offs:</label>
    <textarea name="turnoffs"><?= !empty($turnoffsValue) ? ucwords($turnoffsValue) : '' ?></textarea>
</div>
     </div>
</div>
</div>
</div>
<div class="centerWrapper">
    <input type="submit" value="Finish all Editing" class="buttonBase orangeButton big savebtn">
</div>
</form>
</div>
</div>



                





















<!-----------eidi profile-----> 