<?//= Avos\User\encodeChatEmbed($model) ?>

<?php if (isset($promoteTrakingCode) && $promoteTrakingCode > 0): ?>

<?php 
// Retrieve tracking configuration
$trackingModels = getConfig('site', 'tracking', $database ?? null);
$embedUrl = Avos\User\encodeChatEmbed($model);

// Check if model is in 'Freechat' status
if (isset($model['status']) && $model['status'] === 'Freechat') {

    // Check if tracking model names are provided
    if (!empty($modelsNameTraking)) {
        $trakingModelNames = explode(',', $modelsNameTraking);

        foreach ($trakingModelNames as $trakingModelName) {
            $trakingModelName = trim($trakingModelName);

            if ($model['nickname'] === $trakingModelName) {
                // Concatenate the site name with the model's nickname
                $nickname = $trackingModels . '--' . $model['nickname'];
                // Replace 'track' and 'sourceId' parameters in embed URL
                $embedUrl = preg_replace('/(?<=\btrack=)[^&]+/', $nickname, $embedUrl);
                $embedUrl = preg_replace('/(sourceId=)[^&]+/', '$1' . urlencode($nickname), $embedUrl);
                break; // Stop loop after finding a match
            }
        }
    }
}
?>

<?= $embedUrl ?>

<?php else: ?>
<?= Avos\User\encodeChatEmbed($model) ?>
<?php endif; ?>
